//= require jquery


var UserCFG = null;
var sitesJSON = [];

var dodSystemName = 'AHLTA'; //could be CHCS as in old dod login

function AcceptAgreement() {

    $("#CenterPopup, #Agreement-Overlay").remove();
    $("#AcceptedAgreementInput").val(true);
    $("#AccessCodeInput").focus();

}

function ShowAgreement() {
    $("#CenterPopup, #Agreement-Overlay").show();
}


function DefaultUserCfg() {
    var cfg = [];

    cfg.push({
        cfgItem: "UI_CONF",
        options: [
            {
                loginAgency: "VA"
            },
            {
                loginSite: 200
            }
        ]
    });

    return cfg;
}

function LoadAgencyAndSite(agency, site) {

    $("#comboAgency").val(agency);
    OnChangeAgency($("#comboAgency"));

    $("#comboSite").val(site);
}

function OnChangeAgency(combo) {

    var val = combo.val();
    $("#comboAgency").val(val);

    var systemName = (val === 'DOD') ? dodSystemName : "VistA";

    if(val === 'DOD'){
        $("#AccessCodeLabel").html(systemName + " User ID:");
        $("#VerifyCodeLabel").html(systemName + " Password:");
    } else {
        $("#AccessCodeLabel").html(systemName + " Access Code:");
        $("#VerifyCodeLabel").html(systemName + " Verify Code:");
    }

    var filteredSite = $.grep(sitesJSON, function (site) {
        return site.agency === val;
    });

    $("#comboSite").html("");

    $.each(filteredSite, function (idx, site) {
        $("#comboSite").append($("<option></option>").attr("value", site.siteCode).html(site.name));
    });

    $("#comboSite").val($("#comboSite option:first").val());
}

function SaveUserConfig() {
    if (UserCFG) {
        $.each(UserCFG, function (i, item) {
            if (item.cfgItem == "UI_CONF") {
                $.each(item.options, function (j, option) {

                    if (option["loginAgency"]) {
                        option["loginAgency"] = $('#comboAgency').val();

                    }
                    else if (option["loginSite"]) {
                        option["loginSite"] = $('#comboSite').val();
                    }
                    else if (option["theme"]) {
                        option["theme"] = $('input[name=theme]:checked').val();
                    }
                    else if(option["dodVLER"] !== undefined) {
                        option["dodVLER"] = $('#VLERCheckbox').is(':checked');
                    }

                });
            }
        });

        $('#userCfg').val(JSON.stringify(UserCFG));
    }
}

function ValidateLoginForm() {
    var loginValidation = "";

    if ($("#comboAgency").val().length == 0)
        loginValidation += "Agency not selected. \n";

    if ($("#comboSite").val().length == 0)
        loginValidation += "Site not selected. \n";

    if ($.trim($("#AccessCodeInput").val()).length == 0) {
       if ($("#comboAgency").val() === "VA") {
            loginValidation += "Missing Access Code. \n";
       } else {
            loginValidation += "Missing User ID. \n";
       }
    }

    if ($.trim($("#VerifyCodeInput").val()).length == 0){
        if ($("#comboAgency").val() === "VA") {
            loginValidation += "Missing Verify Code. \n";
        } else {
            loginValidation += "Missing Password. \n";
        }
    }

    if (loginValidation.length == 0) {
        return true;
    }

    $("#ErrorMsg").html("Error: " + loginValidation).show();

    return false;
}

function ShowLoginIndicatior() {
    var pb = document.getElementById("LoginIndicator");
    pb.innerHTML = '<img src="assets/loginIndicator.gif" width="24" height ="24"/>';
    pb.style.display = "block";
}

function ShowEditProfile(/*bool*/ show) {
    if (show) {
        $('#LoginMesg').show();
        $("#EditProfileLogin").show();
        $("#EditProfileBtn").hide();
        $("#NonEditProfileLogin").hide();


    }
    else {
        $('#LoginMesg').hide();
        $("#EditProfileLogin").hide();
        $("#EditProfileBtn").show();
        $("#NonEditProfileLogin").show();
    }
}


function Login() {


    if (ValidateLoginForm()) {
        SaveUserConfig();

        setTimeout(function () {
            ShowLoginIndicatior();
        }, 5);


        return true;
    }

    return false;
}

function ValidateCommunityLoginForm() {
    return true;
}

function CommunityLogin() {

    if (ValidateCommunityLoginForm()) {
        setTimeout(function () {
            ShowLoginIndicatior();
        }, 5);

        return true;
    }

    return false;

}


$(function () {

    jQuery("#comboAgency").on("change", function () {
        OnChangeAgency($(this));
    });

    $("#accept").focus();

    $("#EditProfileBtn").on('click', function () {
        ShowEditProfile(true);
    });

    $("#CancelEditBtn").on('click', function () {
        ShowEditProfile(false);
    });

});


