//= require lib/AppKit/AppKit.js


var JLV = {
    common: {
        /** constants **/
        DODADAPTER_STATUS_REPORT_FLAG: "DODADAPTER_SOURCE_STATUS_REPORT",
        DODADAPTER_STATUS_NO_REPORT_MSG: "Status report is not available.",
        SENSITIVE_NOTE_MSG: "This is a Sensitive note and can not be displayed in JLV.<br/><br/>Please contact the local facility to obtain this note information.",
        SENSITIVE_ENCOUNTER_MSG: "This is a Sensitive encounter and can not be displayed in JLV.<br/><br/>Please contact the local facility to obtain this encounter information.",
        NOTE_TITLE_UNAVAILABLE_TXT: "click to view note",
        CODING_SYSTEM_CPT: 'CPT',
        CODING_SYSTEM_CPT_DISPLAY: '<b>Current Procedural Terminology (CPT)</b>',
        CODING_SYSTEM_UMLS: 'UMLS',
        CODING_SYSTEM_UMLS_DISPLAY: 'Unified Medical<br>Language System (UMLS)',
        CODING_SYSTEM_CVX: 'CVX',
        CODING_SYSTEM_CVX_DISPLAY: '<b>National Vaccine<br>Administered Code<br> (CVX)</b>',
        CODING_SYSTEM_RXNORM: 'RXNORM',
        CODING_SYSTEM_RXNORM_DISPLAY: '<b>National Library of Medicine<br>RxNorm Concept Unique Identifiers</b>',
        CODING_SYSTEM_SNOMED: 'SNOMED',
        CODING_SYSTEM_SNOMED_DISPLAY: '<b>Systematized Nomenclature<br>of Medicine - Clinical Terms<br>(SNOMED CT)</b>',
        CODING_SYSTEM_LOINC: 'LOINC',
        CODING_SYSTEM_LOINC_DISPLAY: '<b>Logical Observation Identifiers<br>Names and Codes<br>(LOINC)</b>',
        CODING_SYSTEM_LABS: "LABS",
        CODING_SYSTEM_NOTES: "NOTES",
        CODING_SYSTEM_VITALS: "VITALS",
        DOD_VLER_LOADING_MSG: "Community partner data retrieval in progress...",
        DOD_VLER_AVAILABLE_MSG: "Community partner data may be available for this widget.",
        DOD_VLER_DATA_IN_WIDGET_MSG: "Additional data is available in Community Health Summaries",
        DOD_VLER_NOT_AVAILABLE_MSG: "Connection unavailable. Community partner data is not available to display.",
        DOD_VLER_STANDARD_MSG: "Additional external partner data is available by accessing the narrative view in this widget. The content and format of this information is displayed as provided by the external partner(s).",
        /** common utility functions **/
        openAuxBrowserWindow: function (URL, windowTitle) {
            //always open a unique window
            window.open(URL, '', "toolbar=1,menubar=1,status=1,scrollbars=1,resizable=1");
        },
        copyWindowHTML: function (theHTML) {
            if (window.clipboardData && window.clipboardData.setData) {

                theHTML = theHTML.replace(/\r\n/gi, "");

                var dataHTML = "";
                dataHTML += "For Official Use Only\r\n<br>";
                dataHTML += theHTML;
                //remove linebreaks

                //remove <div>
                dataHTML = dataHTML.replace(/<div(.|[\r\n])*?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/div\>/gi, "");
                dataHTML = dataHTML.replace(/<pre(.|[\r\n])*?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/pre\>/gi, "");
                dataHTML = dataHTML.replace(/\<span(.|[\r\n])*?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/span\>/gi, "");
                //strip table tags
                dataHTML = dataHTML.replace(/\<table(.|[\r\n])*?\>/gi, "\r\n");
                dataHTML = dataHTML.replace(/\<\/table\>/gi, "");
                dataHTML = dataHTML.replace(/\<thead(.|[\r\n])*?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/thead\>/gi, "");
                dataHTML = dataHTML.replace(/\<th(.|[\r\n])*?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/th\>/gi, "\t");
                dataHTML = dataHTML.replace(/\<tbody(.|[\r\n])*?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/tbody\>/gi, "");
                dataHTML = dataHTML.replace(/\<tr(.|[\r\n])*?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/tr\>/gi, "\r\n");
                dataHTML = dataHTML.replace(/\<td(.|[\r\n])*?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/td\>/gi, "\t");
                //strip anchors <a>
                dataHTML = dataHTML.replace(/\<a(.|[\r\n])*?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/a\>/gi, "");
                //strip images <img>
                dataHTML = dataHTML.replace(/\<img(.|[\r\n])*?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/img\>/gi, "");
                //strip &nbsp;
                dataHTML = dataHTML.replace(/\&nbsp\;/gi, "");
                //strip &amp;
                dataHTML = dataHTML.replace(/\&amp\;/gi, "&");
                //strip <br>
                dataHTML = dataHTML.replace(/\<br\>/gi, "\r\n");
                dataHTML = dataHTML.replace(/\<br\/\>/gi, "\r\n");
                //strip <b>
                dataHTML = dataHTML.replace(/\<b\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/b\>/gi, "");
                //strip <strong>
                dataHTML = dataHTML.replace(/\<strong\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/strong\>/gi, "");
                //strip </n>
                dataHTML = dataHTML.replace(/\<\/n\>/gi, "");
                //strip &lt;
                dataHTML = dataHTML.replace(/\&lt\;/gi, "<");
                //strip &gt;
                dataHTML = dataHTML.replace(/\&gt\;/gi, ">");

                //strip &amp;
                dataHTML = dataHTML.replace(/\&amp\;/gi, "&");


                clipboardData.setData('text', dataHTML);
            }
            else {
                console.info("Clipboard only supported in IE8+.");
            }
        },
        copyGridPanelHTML: function (theHTML) {
            if (window.clipboardData && window.clipboardData.setData) {
                var dataHTML = "";

                //remove linebreaks
                theHTML = theHTML.replace(/\r\n/gi, "");

                dataHTML += "For Official Use Only\r\n<br>";

                dataHTML += theHTML;

                dataHTML = dataHTML.replace(/\<\/div><th(.|[\r\n])+?\>/gi, "\t");

                //remove <div>
                dataHTML = dataHTML.replace(/\<div(.|[\r\n])+?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/div\>/gi, "");
                dataHTML = dataHTML.replace(/\<pre(.|[\r\n])+?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/pre\>/gi, "");
                dataHTML = dataHTML.replace(/\<span(.|[\r\n])+?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/span\>/gi, "");
                //strip table tags
                dataHTML = dataHTML.replace(/\<table(.|[\r\n])+?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/table\>/gi, "");
                dataHTML = dataHTML.replace(/\<thead(.|[\r\n])+?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/thead\>/gi, "");
                dataHTML = dataHTML.replace(/\<tbody(.|[\r\n])+?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/tbody\>/gi, "");
                dataHTML = dataHTML.replace(/\<tr(.|[\r\n])+?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/tr\>/gi, "\r\n");
                dataHTML = dataHTML.replace(/\<td(.|[\r\n])+?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/td\>/gi, "\t");
                dataHTML = dataHTML.replace(/\<th(.|[\r\n])+?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/th\>/gi, "");

                //strip anchors <a>
                dataHTML = dataHTML.replace(/\<a(.|[\r\n])+?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/a\>/gi, "");
                //strip images <img>
                dataHTML = dataHTML.replace(/\<img(.|[\r\n])+?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/img\>/gi, "");
                //strip <ABBR>
                dataHTML = dataHTML.replace(/\<ABBR(.|[\r\n])+?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/ABBR\>/gi, "");
                //strip <CAPTION>
                dataHTML = dataHTML.replace(/\<CAPTION(.|[\r\n])+?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/CAPTION\>/gi, "\r\n");
                //strip <BUTTON>
                dataHTML = dataHTML.replace(/\<BUTTON(.|[\r\n])+?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/BUTTON\>/gi, "");
                //strip <LABEL>xxx</LABEL>
                dataHTML = dataHTML.replace(/\<LABEL(.|[\r\n])+?(<\/LABEL>)/gi, "");
                //strip &nbsp;
                dataHTML = dataHTML.replace(/\&nbsp\;/gi, "");
                //strip <br>
                dataHTML = dataHTML.replace(/\<br\>/gi, "");
                dataHTML = dataHTML.replace(/\<br\/\>/gi, "");
                //strip <b>
                dataHTML = dataHTML.replace(/\<b(.|[\r\n])*?\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/b\>/gi, "");
                //strip <strong>
                dataHTML = dataHTML.replace(/\<strong\>/gi, "");
                dataHTML = dataHTML.replace(/\<\/strong\>/gi, "");
                //strip </n>
                dataHTML = dataHTML.replace(/\<\/n\>/gi, "");
                //strip &lt;
                dataHTML = dataHTML.replace(/\&lt\;/gi, "<");
                //strip &gt;
                dataHTML = dataHTML.replace(/\&gt\;/gi, ">");

                dataHTML = dataHTML.replace(/\&amp\;/gi, "&");

                window.clipboardData.setData('text', dataHTML);
            }
            else {
                console.info("Clipboard only supported in IE8+.");
            }

        },
        dateFormatter: function (aDate, model, dateFormat) {

            if (!dateFormat) {
                dateFormat = 'MMM DD, YYYY';
            }

            if (!aDate)
                return '';

            var str = moment(aDate).format(dateFormat);
            if (str === "Invalid date") {
                return "Unknown";
            }
            return str;
        },
        siteSorter: function (site1, site2) {

            if (site1.agency === site2.agency) {
                if (site1.moniker === site2.moniker)
                    return 0;

                return site1.moniker > site2.moniker ? 1 : -1;
            }
            return site1.agency > site2.agency ? 1 : -1;
        },
        formatSiteDisplay: function (site) {

            if (!site || !site.agency) return "No site agency";

            var imgTag = "No site agency marker";

            if (site.agency == JLV.common.AGENCY_VA) {
                imgTag = String.format("VA: {0}", site.name);
            }
            else if (site.agency == JLV.common.AGENCY_DOD_VLER) {
                imgTag = String.format("DoD: {0}", site.moniker);
            }
            else if (site.agency == JLV.common.AGENCY_DOD) {
                imgTag = String.format("DoD: {0}", site.moniker);
            }

            return imgTag;
        },
        formatSiteIconDisplay: function (site) {

            if (!site || !site.agency) return 'No site agency';

            var divTag = 'No site agency marker';

            if (site.agency === JLV.common.AGENCY_VA) {
                divTag = '<div class="vaMarker"  alt="VA Marker"></div>';
            }
            else if (site.agency === JLV.common.AGENCY_DOD_VLER || site.name === JLV.common.AGENCY_DOD_VLER) {
                divTag = '<div class="dodVlerMarker"  alt="DoD VLER Marker"></div>';
            }
            else if (site.agency === JLV.common.AGENCY_DOD) {
                divTag = '<div class="dodMarker"  alt="DoD Marker"></div>';
            }


            return divTag;
        },
        formatSiteMonikerDisplay: function (site) {
            if (!site || !site.agency) return "No site agency";

            var imgTag = "NA";

            if (site.agency == JLV.common.AGENCY_VA) {
                imgTag = String.format('<div class="vaMarker"  alt="VA Marker" title="VA: {0}"></div>&nbsp;<span title="VA: {0}">{1}</span>', site.name, site.moniker);

            }
            else if (site.agency === JLV.common.AGENCY_DOD_VLER) {
                imgTag = String.format('<div class="dodVlerMarker" alt="DoD VLER Marker" title="DoD VLER: {1}"></div>&nbsp;<span title="DoD VLER: {1}">{0}</span>', site.name, site.moniker);
            }
            else if (site.agency == JLV.common.AGENCY_DOD) {
                imgTag = String.format('<div class="dodMarker" alt="DoD Marker" title="{0}: {1}"></div>&nbsp;<span title="{0}: {1}">DoD</span>', site.name, site.moniker);
            }

            return imgTag;

        },
        formatMonikerDisplay: function (site) {
            if (!site) return "No site agency";
            return JLV.common.formatSiteIconDisplay(site) + "&nbsp;" + site.moniker;
        },
        formatVLERMonikerDisplay: function (siteName) {
            return String.format('<div style="padding:2px;"><div class="vlerMarker" alt="Community Health Partner Marker" title="Community Health Partner: {0}"></div>&nbsp;<span title="Community Health Partner: {0}">{0}</span></div>', siteName);
        },
        linkFormatter: function (value, model, tooltip, route) {
            if (!route) {
                route = "";
            }

            var cid = _.uniqueId();
            if (model) {
                cid = model.cid;
            }

            if (value && value.indexOf('Connnection unavailable') > -1) {
                return value;
            }

            if (tooltip) {
                return value ? String.format('<a href="#" title="{0}" data-model-id="{1}" data-route="{2}" class="jlv-clickable-link">{0}</a>', value, cid, route) : '';
            }
            else {
                return value ? String.format('<a href="#" data-model-id="{1}" data-route="{2}" class="jlv-clickable-link">{0}</a>', value, cid, route) : '';
            }
        },
        linkDateFormatter: function (value, model, format) {
            return JLV.common.linkFormatter(JLV.common.dateFormatter(value, model, format), model);
        },
        createUTCDate: function (dateStr) {
            var resultDate = new Date(dateStr);
            var UTCResultDate = new Date();
            UTCResultDate.setUTCFullYear(resultDate.getFullYear());
            UTCResultDate.setUTCMonth(resultDate.getMonth());
            UTCResultDate.setUTCDate(resultDate.getDate());
            UTCResultDate.setUTCHours(resultDate.getHours());
            UTCResultDate.setUTCMinutes(resultDate.getMinutes());
            UTCResultDate.setUTCSeconds(resultDate.getSeconds(), 0);

            return UTCResultDate;
        },
        isDoDProvider: function (user) {
            return user.agency !== "VA";
        }
    },
    alerts: []
};


JLV._registeredJLVWidgets = {};

/**
 * JLV widget factory
 * @param aWidgetID string
 * @param options
 * @returns JLV widget instance of type aWidgetID
 */
JLV.createJLVWidget = function (aWidgetID, options, autoLoad) {
    if (JLV._registeredJLVWidgets[aWidgetID]) {

        var widget = new JLV._registeredJLVWidgets[aWidgetID](options);

        /* if this is an outside provider, restrict the start day to the assigned date */
        if (JLV.common.ASSIGNED_PATIENT_DATE_FILTER && JLV.common.OUTSIDE_PROVIDER_FLAG) {
            widget.set('startDay',
                moment(JLV.common.ASSIGNED_PATIENT_DATE_FILTER).diff(moment(), 'days'));
            
        }

        if (_.isFunction(widget.loadData) && autoLoad) {
            widget.loadData(_.bind(function () {
                JLV.VLERDataAvailable();
            }, this));
        }

        return widget;
    }

    return undefined;
};

/**
 * register the widget of type widgetID
 * @param aWidgetID string
 * @param widgetClass the widget prototype object
 */

JLV.registerJLVWidget = function (aWidgetID, widgetClass) {
    JLV._registeredJLVWidgets[aWidgetID] = widgetClass;
};

JLV.isRegisteredWidget = function (aWidgetID) {
    return JLV._registeredJLVWidgets[aWidgetID] !== undefined;
};

JLV.VlerDataFetchedNotification = "JLV.VlerFetchedNotification";
JLV.VlerDataReadyNotification = "JLV.VlerDataReady";
JLV.VlerDataFailNotification = "JLV.VlerDataFail";
JLV.VlerDataRefreshNotification = "JLV.VlerDataRefresh";
JLV.VlerDataRefreshConfirmNotification = "JLV.VlerDataRefreshConfirm";


JLV.VlerConfirmController = {
    show: function () {
        this.dialog.center();
        this.dialog.open();

    },
    hide: function () {
        this.dialog.close();

        $('.jlv-widget').each(function (index, element) {
            if ($(element).widget().options.vlerDomain) {
                $(element).widget().hideVlerLoadMessage();
            }
            if ($(element).widget()._moreWindow) {
                $(element).widget()._moreWindow.hideVlerLoadMessage();
            }
        });
        $('.jlv-insurance-widget').each(function (index, element) {
                $(element).widget().hideVlerLoadMessage();
        });

    },
    confirm: function () {
        this.refresh();
        JLV.NotificationCenter.postNotificationName(JLV.VlerDataRefreshConfirmNotification);
    },
    refresh: function () {
        JLV.NotificationCenter.postNotificationName(JLV.VlerDataRefreshNotification);
        //JLV.VLERDataAvailable();
        setTimeout(function(){  JLV.VLERDataAvailable(); }, 500);
        this.hide();

    }

};

JLV.LoadVlerData = function () {
    if (JLV.Session.dodVLER) {

        JLV.Session.dodVLERReady = false;
        JLV.Session.dodVLERFail = false;

        JLV.NotificationCenter.postNotificationName(JLV.VlerDataFetchedNotification);

        //find VLER widgets, and show loading mesg
        var vlerWidgetExists = false;
        $('.jlv-widget').each(function (index, element) {
            if ($(element).widget().options.vlerDomain) {
                vlerWidgetExists = true;
            }
        });

        //query for DOD VLER Data. if success, alert user that VLER data is ready (at BHIERelay)
        //if (vlerWidgetExists) {
        if (JLV.Session.dodVLER) {
            $.post('patientDODVLER/list.json', {
                    patToken: JLV.ActivePatientModel.get('patientToken'),
                    forceRefresh: JLV.Session.forceRefresh == true
                },
                function (response) {
                    //alert('success!');
                    console.info("DOD VLER data is ready");
                    JLV.Session.dodVLERReady = true;
                    JLV.Session.forceRefresh = false;
                    JLV.Session.vlerData = [];

                    //JLV.Session.vlerData contains domains of which we will notify users that
                    //related data exists in EHDV widget
                    if (response && response.length > 0) {
                        for (var i = 0; i < response.length; i++) {
                            JLV.Session.vlerData.push(response[i]);
                        }
                    }

                    JLV.NotificationCenter.postNotificationName(JLV.VlerDataReadyNotification);

                    JLV.VlerConfirmController.show();

                }).fail(function (response) {
                    //alert('failed to retrieve DoD VLER Data: ' + response.responseText);
                    console.info("Error retrieving VLER Data: " + response.responseText);
                    JLV.Session.dodVLERReady = false;
                    JLV.Session.forceRefresh = false;
                    JLV.Session.vlerData = [];

                    JLV.NotificationCenter.postNotificationName(JLV.VlerDataFailNotification);

                    $('.jlv-widget').each(function (index, element) {
                        if ($(element).widget().options.vlerDomain) {
                            $(element).widget().vlerLoadMessage(JLV.common.DOD_VLER_NOT_AVAILABLE_MSG);
                        }
                        if ($(element).widget()._moreWindow) {
                            $(element).widget()._moreWindow.vlerLoadMessage(JLV.common.DOD_VLER_NOT_AVAILABLE_MSG);
                        }
                    });

                });
        }

    }
};



