//= require JLV.js
//= require lib/AppKit/AppKit.js
//= require lib/508Utils.js
//= require lib/moment.js
//= require desktop/desktop.js
//= require PatientSearch.js
//= require PatientSelect.js
//= require session.js
//= require context.js
//= require BreakTheGlass.js
//= require desktop/Portal.js
//= require desktop/ScreenLaunchablesController.js
//= require widgets/Widgets.js


JLV.AppController = {
    toggleWidgetMenu: function () {

        var widgetMenu = JLV.Desktop.WidgetMenu.getActive();

        if (widgetMenu.get("hidden")) {
            JLV.Desktop.WidgetMenu.showActive(false);
        }
        else {
            JLV.Desktop.WidgetMenu.hideActive(false);
        }
    },
    //heartbeat
    updateServiceStatus: function () {
        $('#HeartBeatStatusPanel').html(
            '<div class="jlv-loader-image">' +
            '<div class="jlv-table-data-loading" alt="loading indicator"></div></div>');
        $.post('app/heartbeatStatus',
            function (response) {
                if (response == null) {
                    $('#HeartBeatStatusPanel').tooltip("option", "content", _.template([
                        '<div class="jlv-heartbeat-content">',
                        '<span class="icon-status-error" alt="Error"/><div class="jlv-heartbeat-heading"> System status is unavailable.</div>',
                        '<br/>If problem persists, please contact the help desk.',
                        '<br/>',
                        '<br/>{{JLV.common.HelpDeskName}}',
                        '<br/>{{JLV.common.HelpDeskPhone}}',
                        '<br/>{{JLV.common.HelpDeskEmail}}',
                        '<br/>',
                        '<br/>{{JLV.common.HelpDeskName2}}',
                        '<br/>{{JLV.common.HelpDeskPhone2}}',
                        '<br/>{{JLV.common.HelpDeskEmail2}}',
                        '</div>'].join(''))(JLV));

                    $('#HeartBeatStatusPanel').html(
                        '<div class="jlv-heartbeat-status"><span class="icon-status-error" alt="Error" /><label>System Status</label></div>'
                    );

                }
                else {

                    if (response.length > 0) {

                        var html = '<div class="jlv-heartbeat-content"><span class="icon-status-warn"  alt="Warning" /><div class="jlv-heartbeat-heading">JLV is having problems.</div><ul>';

                        var count = response.length,
                            i = 0;

                        for (; i < count; i++) {
                            html += '<li>' + response[i] + '</li>';
                        }

                        html += _.template(['</ul>',
                            'If problem persists, please contact the help desk.',
                            '<br/>',
                            '<br/>{{JLV.common.HelpDeskName}}',
                            '<br/>{{JLV.common.HelpDeskPhone}}',
                            '<br/>{{JLV.common.HelpDeskEmail}}',
                            '<br/>',
                            '<br/>{{JLV.common.HelpDeskName2}}',
                            '<br/>{{JLV.common.HelpDeskPhone2}}',
                            '<br/>{{JLV.common.HelpDeskEmail2}}',
                            '</div>'
                        ].join(''))(JLV);

                        $('#HeartBeatStatusPanel').tooltip("option", "content", html);

                        $('#HeartBeatStatusPanel').html(
                            '<div class="jlv-heartbeat-status"><span class="icon-status-warn" alt="Warning" /><label>System Status</label></div>'
                        )
                    }
                    else {

                        $('#HeartBeatStatusPanel').tooltip("option", "content", _.template([
                            '<div class="jlv-heartbeat-content">',
                            '<span class="icon-status-ok" alt="OK" /><div class="jlv-heartbeat-heading"> CV data sources available.</div>',
                            '</div>'
                        ].join(''))());

                        $('#HeartBeatStatusPanel').html(
                            '<div class="jlv-heartbeat-status"><span class="icon-status-ok" alt="OK" /><label>System Status</label></div>'
                        )


                    }
                }

            }
        ).fail(function () {
                $('#HeartBeatStatusPanel').tooltip("option", "content", _.template([
                    '<div class="jlv-heartbeat-content">',
                    '<span class="icon-status-error" alt="Error"/><div class="jlv-heartbeat-heading"> System status is unavailable.</div>',
                    '<br/>If problem persists, please contact the help desk.',
                    '<br/>',
                    '<br/>{{JLV.common.HelpDeskName}}',
                    '<br/>{{JLV.common.HelpDeskPhone}}',
                    '<br/>{{JLV.common.HelpDeskEmail}}',
                    '<br/>',
                    '<br/>{{JLV.common.HelpDeskName2}}',
                    '<br/>{{JLV.common.HelpDeskPhone2}}',
                    '<br/>{{JLV.common.HelpDeskEmail2}}',
                    '</div>'].join(''))(JLV));

                $('#HeartBeatStatusPanel').html(
                    '<div class="jlv-heartbeat-status"><span class="icon-status-error" alt="Error" /><label>System Status</label></div>'
                );

            });
    }
};


JLV.common.STATUS_REFRESH_INTERVAL = 5; //every 5 minutes

AppKit.launch(function () {

    $('.jlv-widget-menu').hide();

    if (!JLV.common.AHLTA_LOGIN_FLAG) {
        JLV.Desktop.ScreenLaunchablesController.addScreen({
            content: '<div class="icon-med-md" style="float:left;font-size:20px;margin:10px 6px 0 0;"></div><label style="text-align:left;">Provider Portal&nbsp;</label>',
            closable: false,
            title: "Provider Portal",
            setActive: true,
            screenID: 'ProviderPortal'
        });

        setTimeout(function () {
            JLV.Session.loadProviderUIConfig();
            //launch patient search dialog automatically
        }, 0);

        //$('#PatientSearchToolbarButton').trigger('click');


    }
    else {
        $('#ProviderPortal').hide();
    }

    $('#HeartBeatStatusPanel').tooltip({
        tooltipClass: 'bottom jlv-heartbeat-info',
        show: {
            delay: 600,
            duration: 0,
            easing: false,
            effect: null
        },
        items: '#HeartBeatStatusPanel',
        position: {
            my: "center top",
            at: "center bottom+5",
            collision: "flipfit",
            using: function (position) {
                $(this).css(position);
                $('<div>')
                    .addClass("arrow").appendTo(this);
            }
        }
    });

    $('#HeartBeatStatusPanel').on('focus', function () {
        $('#HeartBeatStatusPanel').tooltip('open');
    });

    JLV.AppController.updateServiceStatus();

    // Update status every 5 minutes
    setInterval(function () {
        JLV.AppController.updateServiceStatus();
    }, JLV.common.STATUS_REFRESH_INTERVAL * 60 * 1000);


    //when window resize, layout portals
    $(window).resize(function (evt) {

        //prevent resizables event trigger from running code
        if (!$(evt.target).hasClass('ui-resizable')) {
            var activePortal = AppKit.get(JLV.Desktop.ScreenLaunchablesController.activeScreen);
            if (activePortal) {
                if (_.isFunction(activePortal.layoutActivePortal)) {
                    activePortal.layoutActivePortal();
                }
            }

            $('.jlv-tabview, .patient-select-screen').css('bottom', $('#WindowDock').height());

        }
    });


    if(JLV.ActiveProvider.dev) {
        //do nothing if dev
        console.info("Dev sees all!!!");
    } else {
        //hide things depending on agency
        if (JLV.ActiveProvider.agency !== JLV.common.AGENCY_DOD) {
            //todo: melcolm uncomment for prod build
            $('#CommunityDataDisplaySetting').hide();
            $('*[data-widget-id="vler_dod_widget"]').hide();
        }
        else {
            //todo: melcolm uncomment for prod build
            $('*[data-widget-id="vler_widget"]').hide();
        }



    }

    if (JLV.common.OUTSIDE_PROVIDER_FLAG) {
        // Prevent outside provider from doing a patient search
        $('#PatientSearchToolbarButton').hide();
    }


    //show patient context warning for DoD
    if (JLV.ActiveProvider.agency === JLV.common.AGENCY_DOD) {
        if (!JLV.common.AHLTA_LOGIN_FLAG) {
            setTimeout(function () {
                AppKit.AlertDialog.alert("DoD Patient Context",
                    "JLV is unable to maintain DoD patient context. <br/><br/> Please check the patient ID. The patient you are viewing may be different than the one in your primary viewer."
                );
            }, 1000);
        }
        }
});




