//= require ../JLV.js
//= require lib/AppKit.js

$(function () {

    $('.AppToolbarButton').button();

    $('.AppToolbarButton').on('mousedown', function (evt) {
        evt.preventDefault();
    });

    $('.AppToolbarButton').on('focus', function () {
        $(this).addClass('ui-state-focus');
    }).on('blur', function () {
        $(this).removeClass('ui-state-focus');
    });

    $('#HelpButton').on('click', function () {
        window.open('WebHelp/JLV_help.htm', "OnlineHelp", "status=1,resizable=1,scrollbars=1,menubar=0");
    });

    //sign out of app.
    $('#LogoutButton').on('click', function () {
        //do logout
        window.location = 'authenticate/logout';
    });

    $('#LogoutButton').on('keydown', function (evt) {
        if (evt.which = $.ui.keyCode.TAB) {
            if (!evt.shiftKey) {
                evt.preventDefault();
                var nextTab = $('#JLV-Desktop').nextInDOM('.ui-tab');
                if (nextTab.length) {
                    nextTab.focus();
                }
            }
        }
    });

    $('#PatientSearchToolbarButton').on('click', function () {
        if (!JLV.common.OUTSIDE_PROVIDER_FLAG && !JLV.common.AHLTA_LOGIN_FLAG) {
            $('#PatientSearchDialog').widget().set('visible', true);
        }
    });

    $('#SettingButton').on('click', function () {
        JLV.SettingsController.show();
    });
});


JLV.SettingsController = {
    show: function () {

        var theme = JLV.Session.ui_conf.options[0].theme,
            menu = JLV.Session.ui_conf.options[0].menu || 'bottom',
            vlerFlag = JLV.Session.dodVLER;


        $('input[name="theme"][value="' + theme + '"]').prop('checked', true);
        $('input[name="menuOrientation"][value="' + menu + '"]').prop('checked', true);

        $('#VLERCheckbox').prop('checked', vlerFlag);

        this.dialog.center();
        this.dialog.set('visible', true);

        $('input[name="theme"][value="' + theme + '"]').focus();
    },
    hide: function () {
        this.dialog.set('visible', false);
    },
    apply: function () {
        var newTheme = $('input[name=theme]:checked').val(),
            menu = $('input[name=menuOrientation]:checked').val();

        var dodVLERFlag = $('#VLERCheckbox').is(':checked');

        JLV.Session.ui_conf.options[0].theme = newTheme;
        JLV.Session.ui_conf.options[0].menu = menu;

        JLV.Session.dodVLER = dodVLERFlag;
        JLV.NotificationCenter.postNotificationName(JLV.Desktop.SaveProviderPortalUINotification);

        this.hide();

        setTimeout(function () {
            AppKit.AlertDialog.yesNo('Save Configuration', 'Reload application to apply your settings?', function (yes) {

                if (yes) {
                    window.location = 'app/index'
                }
            });
        }, 100);



    }

};

