JLV.PatientDemographicsWidgetWindow = AppKit.Dialog.extend({
    demographicsWidget: null,
    data: null,
    options: {
        height: 500,
        width: 700,
        title: 'Patient Demographics'
    },
    initialize: function (options) {

        this._super(options);

        this.tabView = new AppKit.TabView({
            className: 'jlv-patient-demographics-details'
        });

        this.$el.append(this.tabView.$el);

        var tabsCount = options.data.length,
            i = 0;

        for (; i < tabsCount; i++) {

            var demographicData = options.data[i];
            var id = _.uniqueId('jlv-demographics-site-tab');


            $('<div class="jlv-demographics-details-view">')
                .data('index', "" + i)
                .attr('id', id)
                .appendTo(this.tabView.$el);

            this.tabView.addTab(JLV.common.formatSiteMonikerDisplay(demographicData.site), id, false);
        }

        this.tabView.selectTabAtIndex(0);

        JLV.NotificationCenter.addObserverForNotification({
            name: 'closeNotification',
            observer: this,
            action: 'close'
        });

        this.loadData();
    },
    loadData: function () {

        this.tabView.$el.children('.jlv-demographics-details-view').html(
            '<div class="jlv-loader">' +
            '<div class="jlv-loader-image">' +
            '<div class="jlv-table-data-loading" alt="loading indicator"></div></div></div>');


        //load the details data
        var self = this;
        $.post('patientDemographics/details.json', {
            patToken: JLV.ActivePatientModel.get('patientToken')
        }, function (records) {
            var count = records.length,
                i = 0,
                k = 0;
            for (; i < count; i++) {

                var data = records[i];
                var moniker = data.site.moniker;

                if (moniker !== JLV.common.DODADAPTER_STATUS_REPORT_FLAG) {

                    var $detail = self.tabView.$el.children('.jlv-demographics-details-view').eq(k);

                    $detail.html(
                        $('<pre>').html('<div style="text-decoration: underline;">Details:</div><br/>' + data.report)
                    );

                    if (self.demographicsWidget) {
                        var $s = $(self.demographicsWidget._generatePatientDemographicsContent(self.data[k]));
                        $s.find('.jlv-insurance-link').remove();
                        $s.prependTo($detail);
                    }

                    k++;
                }
            }
        });
    }
});