//= require ../../DetailsWindow.js

JLV.PatientEncounterDetailsWindow = JLV.DetailsWindow.extend({
    className: 'appointment-details',
    encounter: null,
    options: {
        height: 600
    },
    loadDetails: function () {
        var html = "";
        if (!this.encounter) {
            this.$el.html("No encounter details to display.");
            return;
        }

        //send audit details call
        $.post('patientEncounters/auditDetails', {
            patToken: this.patientToken,
            recordDate: this.encounter.get('apptDate'),
            recordSiteMoniker: this.encounter.get('site') ? this.encounter.get('site').moniker : '',
            recordSiteAgency: this.encounter.get('site') ? this.encounter.get('site').agency : ''
        });

        html += _.template([
            '<table style="background:#fff;color:#000;">',
            '<tr><td colspan="3"><strong>Appt Date/Time:</strong>&nbsp;{{apptDate}}</td></tr>',
            '<tr><td colspan="3"><strong>Clinic:</strong>&nbsp;{{clinic}}</td></tr>',
            '{[ if(typeof providerName != "undefined") { ]}',
            '<tr><td colspan="3"><strong>User:</strong>&nbsp;{{providerName}}</td></tr>',
            '{[ } else { ]}',
            '<tr><td colspan="3"><strong>User:</strong>&nbsp;</td></tr>',
            '{[ } ]}',
            '<tr><td colspan="3"><strong>Standardized Diagnosis:</strong>&nbsp;',
            '{[ if(typeof normDisplay != "undefined") { ]}',
            '{{normDisplay}}  <strong>Standardized Code:</strong> {{normCode}}',
            '{[ } ]}',
            '</td></tr>',
            '<tr><td colspan="3"><strong>Reason for Visit:</strong>&nbsp;{{reason}}</td></tr>',
            '<tr bgcolor="#003366"><th><span class="white"><b>Diagnosis Code</b></span></th><th><span class="white"><b>Diagnosis</b></span></th><th><span class="white"><b>Status</b></span></th></tr>',
        ].join(''))(this.encounter.toJSON());

        var diagnosis = this.encounter.get('diagnosis');
        if (diagnosis && diagnosis.length > 0) {
            for (var d in diagnosis) {
                html += _.template('<tr><td>{{code}}</td><td>{{description}}</td><td>{{status}}</td></tr>')(diagnosis[d]);
            }
        }
        else {
            html += '<tr><td></td><td>No Diagnosis Found</td><td></td></tr>';
        }

        html += '<tr bgcolor="#003366"><th><span class="white"><b>Procedure Code</b></span></th><th><span class="white"><b>Procedure</b></span></th><th><span class="white"><b>Status</b></span></th></tr>';

        var procedures = this.encounter.get('procedures');
        if (procedures && procedures.length > 0) {
            for (var p in procedures) {
                html += _.template('<tr><td>{{code}}</td><td>{{description}}</td><td>{{status}}</td></tr>')(procedures[p]);
            }
        }
        else {
            html += '<tr><td></td><td>No Procedures Found</td><td></td></tr>';
        }

        html += '</table>';

        this.$el.html(html);

    }
});