//= require ./PatientWidgetWindow.js

JLV.PatientDoDVLERWidgetWindow = JLV.PatientWidgetWindow.extend({
    options: {
        name: 'Community Health Summaries - DoD',
        filter: false,
        dateFilter: false,
        status: false,
        clipboard: false,
        print: false,
        refresh: true,
        iframeUrl: undefined
    },
    initialize: function (options) {
        this._iframe = $('<iframe>')
            .addClass("jlv-dod-vler-iframe");

        this._super(options);

        this._iframe.appendTo(this._body);
    },
    renderData: function () {
        this.loadData();
    },
    loadData: function () {
        this._body.find('.jlv-dod-vler-no-url').remove();

        var self = this;

        $.post('PatientDODVLER/getWindowUrl.json', {
            patToken: JLV.ActivePatientModel.get('patientToken'),
            theme: JLV.Session.ui_conf.options[0].theme
        }, function (data) {
            //console.info("got url");

            if (data) {
                self._iframe.prop('src', data);
                //self._moreBtn.show();

            } else {
                self._body.prepend($('<div class="jlv-dod-vler-no-url">').text("No URL set"));
            }

        }).fail(function (response) {
            self._body.prepend($('<div class="jlv-dod-vler-no-url">').text("No URL set"));
            AppKit.AlertDialog.alert('Warning', "An error occurred get the Community Health Summaries Viewer URL - " + response.responseText);
        });

    },
    iframeUrl: function (aString) {

        if (aString !== undefined) {
            this._iframeURL = aString;
        }

        return this._iframeURL;

    }

});