//= require ../../WidgetWindow.js

JLV.PatientWidgetWindow = JLV.WidgetWindow.extend({
    doPrint: function () {

        if (this.get('displayMode') !== 'paged')
            return;


        if (this._datagrid) {
            //fit columns to 775 width

            var dataHTML = '<html><head><title>{{title}}</title>\n{{cssLink1}}\n{{cssLink2}}</head>';
            dataHTML += '<body><div style="text-align: center;font-weight: bold;">For Official Use Only</div>';

            if (JLV.common.isDoDProvider(JLV.ActiveProvider)) {
                dataHTML += '<div><b>Patient Name: </b>{{name}} &nbsp;<b>DOB: </b>{{dob}} &nbsp;<b>Gender: </b>{{gender}} &nbsp;<b>DoD ID: </b>{{edipi}}</div>';
            }
            else {
                dataHTML += '<div><b>Patient Name: </b>{{name}} &nbsp;<b>DOB: </b>{{dob}} &nbsp;<b>Gender: </b>{{gender}} &nbsp;<b>SSN: </b>{{fmpssn}}</div>';
            }

            dataHTML += '<div class="ui-table">{{tableHTML}}</div></body></html>';

            var clone = this._datagrid.$el.find('.ui-table-body');
            clone.find('.appkit-table-column, .ui-datatable-loading-rows, .dummy-row-1, .dummy-column').remove();

            try {

                var printData = {
                    name: JLV.ActivePatientModel.get('name') || 'NA',
                    dob: JLV.ActivePatientModel.get('dob') || 'NA',
                    gender: JLV.ActivePatientModel.get('gender') || 'NA',
                    fmpssn: JLV.ActivePatientModel.get('fmpssn') || 'NA',
                    edipi: JLV.ActivePatientModel.get('edipi') || 'NA'
                };
                
                var tableHTML = '<table><tr>';

                var count = this._columns.length,
                    i = 0;

                for (; i < count; i++) {
                    tableHTML += '<th>' + this.options.columns[i].title + '</th>';
                }

                tableHTML += '</tr>';

                tableHTML += clone.html();

                tableHTML += '</table>';

                var printHTML = _.template(dataHTML)(_.extend({
                    title: this.get('name') + " Print out - " + JLV.ActivePatientModel.get('name'),
                    cssLink1: '<link rel="stylesheet" type="text/css" href="assets/AppKit/datatable.css" >',
                    cssLink2: '<link rel="stylesheet" type="text/css" href="assets/view/print.css" >',
                    tableHTML: tableHTML
                }, printData));


                var printWindow = window.open("", "Print");
                printWindow.document.write(printHTML);

                printWindow.document.close();

                setTimeout(function () {
                    printWindow.print();
                    printWindow.close();
                }, 200);

            } catch (e) {

            }
        }


    }
});