JLV.OutsideProviderPatientListCollection = Backbone.Collection.extend({
    url: 'community/assignedPatients.json',
    model: Backbone.Model.extend({
        parse: function (data) {
            if (data.name) {
                data.name = data.name.replace(/,/g, ', ');
            }

            if (data.dateFilter && data.dateFilter.time) {
                data.dateFilter = new Date(data.dateFilter.time);

            }


            return data;
        }
    }),
    doFetch: function (callback, error) {
        console.log(JLV.ActiveProvider)
        if (JLV.ActiveProvider.ien) {
            console.log('calling');
            this.fetch({
                //data: {
                //    providerId: JLV.ActiveProvider.ien
                //},
                reset: true,
                type: 'POST',
                success: callback,
                error: error
            });
        }
        else {
            if (_.isFunction(callback)) {
                callback.call(this);
            }
        }

    }
});


JLV.OutsideProviderPatientList = JLV.ProviderWidget.extend({
    options: {
        widgetId: 'prov_outside_pat_list',
        name: 'Assigned Patients',
        plus: false,
        dateFilter: false,
        status: false,
        clipboard: false,
        print: false,
        refresh: true,
        columns: [
            {
                id: 'name',
                title: 'Name',
                sortable: true,
                width: '200',
                formatter: function (value, model) {
                    return JLV.common.linkFormatter(value, model);
                }

            },
            {
                id: 'consultNo',
                title: 'Consult No',
                sortable: true,
                width: '120',
                formatter: function (value, model) {
                    return JLV.common.linkFormatter(value, model);
                }

            },
            {
                id: 'consultName',
                title: 'Consult Name',
                sortable: true,
                width: '150',
                formatter: function (value, model) {
                    return JLV.common.linkFormatter(value, model);
                }
            },
            {
                id: 'provider',
                title: 'Provider',
                sortable: true,
                width: '120'

            }
        ],
        data: JLV.OutsideProviderPatientListCollection
    },
    itemClicked: function (model) {
        if (model) {
            JLV.SelectAssignedPatient(model);
        }
    },
    initialize: function (options) {
        this._super(options);

        if (this._datagrid) {
            this._datagrid.set('filter', function (value) {
                return value.get('assigned');
            });
        }
    }
});


JLV.registerJLVWidget('prov_outside_pat_list', JLV.OutsideProviderPatientList);