package jlv

import gov.va.med.common.HttpKeys

class PatientHistoriesController extends BaseController {

    def historyDao;
    def auditDao;

    static allowedMethods = [list: 'POST', details: 'POST']

    def beforeInterceptor = {

        if (request.patient == null) {
            response.sendError 500
            return false;
        }

        if (actionName == 'details') {
            if (request.recordQuery == null) {
                response.sendError 500
                return false;
            }
        }
    }

    def list = {

        def guiHistories = historyDao.getPatientHistories(session.appUser,
                request.patient,
                params.status)

        //generate record details token
        if (guiHistories != null) {
            for (def guiHistory : guiHistories) {
                if (!guiHistory.getType()) {
                    def queryMap = [(HttpKeys.HISTORY_ENTERED_BY_DATE): guiHistory.getEnteredByDate()]
                    guiHistory.setRecordDetailsToken(
                            generateRecordDetailsToken(
                                    params[HttpKeys.PATIENT_TOKEN],
                                    controllerName,
                                    queryMap,
                                    guiLab.getSite(), guiLab.getSourceProtocol()))
                }
            }
        }

        sendResponse(guiHistories)
    }

    def details = {

        sendResponse(guiHistory)
    }
}
