package jlv

import gov.va.med.common.HttpKeys
import gov.va.med.guibeans.GUIProcedure
import gov.va.med.guibeans.GUISite
import gov.va.med.jmeadows.webservice.NarrativeV4
import gov.va.med.DNS   .common.Utils

class PatientProceduresController extends BaseController {

    def procedureDao

    static allowedMethods = [list: 'POST']

    def beforeInterceptor = {

        if (request.patient == null) {
            response.sendError 500
            return false;
        }
    }

    def list = {
        def includeVLER = false;

        if(params["includeVLER"] == "true"){
            includeVLER = true;
        }

        HashSet narrativeIds = new HashSet();

        def guiProcedures = procedureDao.getPatientProcedures(
                session.appUser,
                request.patient,
                Utils.getCal(request.getParameter(HttpKeys.START_DATE)),
                Utils.getCal(request.getParameter(HttpKeys.END_DATE)),
                includeVLER);

        //generate record details token
        if (guiProcedures != null) {
            for (def guiProcedure : guiProcedures) {

                if (guiProcedure.getNarrativeId() != null && !"".equalsIgnoreCase(guiProcedure.getNarrativeId())) {
                    narrativeIds.add(guiProcedure.getNarrativeId());
                    if(guiProcedure.getSite() != null && guiProcedure.getSite().getName() != null
                            && "VLER".equalsIgnoreCase(guiProcedure.getSite().getName())
                            && guiProcedure.getSite().getSiteCode() != null){
                        String siteName = session.appUser.partnersMap.get(guiProcedure.getSite().getSiteCode());
                        if(siteName != null){
                            guiProcedure.getSite().setName(siteName);
                        }
                        guiProcedure.getSite().setAgency("VLER");
                    }
                }

//                //set record details token
//                if (!guiAllergy.getAllergyId()) {
//                    continue;
//                }
//                def queryMap = [(HttpKeys.ALLERGY_ID): guiAllergy.getAllergyId()]
//                guiAllergy.setRecordDetailsToken(
//                        generateRecordDetailsToken(
//                                params[HttpKeys.PATIENT_TOKEN],
//                                controllerName,
//                                queryMap,
//                                guiAllergy.getSite(),
//                                guiAllergy.getSourceProtocol()))
            }
        }
        if (includeVLER && session.appUser.narrativesMap != null
                && !session.appUser.narrativesMap.isEmpty()) {
            Iterator narrativeIter = session.appUser.narrativesMap.entrySet().iterator();

            //loop through all narratives, check the allergy ones to see if they are referenced in this call
            //if they are not referenced, then create a record for them so the user is able to view this narrative
            while (narrativeIter.hasNext()) {
                Map.Entry narrative = (Map.Entry) narrativeIter.next();
                if (narrative.getKey().toString().contains("47519-4")) {
                    //check to see if record using this narrative exists
                    if (!narrativeIds.contains(narrative.getKey().toString())) {
                        NarrativeV4 narrativeItem = session.appUser.narrativesMap.get(narrative.getKey().toString());
                        String siteName = "VLER";
                        String siteMoniker = "VLER Partner";
                        if (narrativeItem != null)
                            if (narrativeItem.getNarrativeHomeCommunityIdentifier() != null
                                    && session.appUser.partnersMap.get(narrativeItem.getNarrativeHomeCommunityIdentifier()) != null) {
                                siteName = session.appUser.partnersMap.get(narrativeItem.getNarrativeHomeCommunityIdentifier());
                            }
                        if (narrativeItem.getNarrativeHomeCommunityIdentifier() != null
                                && session.appUser.partnersMap.get(narrativeItem.getNarrativeHomeCommunityIdentifier()) != null) {
                            siteMoniker = session.appUser.partnersMap.get(narrativeItem.getNarrativeAssigningAuthorityIdentifier());
                        }
                        GUISite narrativeSite = new GUISite();
                        narrativeSite.setAgency("VLER");
                        narrativeSite.setName(siteName);
                        narrativeSite.setMoniker(siteMoniker);
                        narrativeSite.setSiteCode("VLER");

                        GUIProcedure narrativeRecord = new GUIProcedure();
                        narrativeRecord.setNarrativeId(narrative.getKey().toString());
                        narrativeRecord.setSite(narrativeSite);
                        narrativeRecord.setDescription("Narrative");
                        guiProcedures.add(narrativeRecord);

                        narrativeIds.add(narrative.getKey().toString());
                    }

                }
            }

        }
        sendResponse(guiProcedures)
    }


}
