package jlv

import gov.va.med.common.HttpKeys
import gov.va.med.guibeans.GUISite
import org.apache.commons.lang.StringUtils

class PatientVLERController extends BaseController {

    def VLERDao;
    def auditDao;

    static allowedMethods = [list: 'POST', details: 'POST']

    def beforeInterceptor = {


    }

    def siteList = {

        def response = []

        if (session.externalIDs != null) {
            response = session.externalIDs
        }
        sendResponse(response);

    }

    def list = {

        def guiVlerDocs = VLERDao.getVLERDocumentList(session.appUser,
                request.patient)

        if (guiVlerDocs != null) {
            for (def guiVlerDoc : guiVlerDocs) {
                if (StringUtils.isNotEmpty(guiVlerDoc.getDocumentUniqueId())
                        && StringUtils.isNotEmpty(guiVlerDoc.getHomeCommunityId())
                        && StringUtils.isNotEmpty(guiVlerDoc.getRepositoryUniqueId())) {

                    String institution = "";
                    if (guiVlerDoc.getAuthors() != null && guiVlerDoc.getAuthors().get(0).institution != null) {
                        institution = guiVlerDoc.getAuthors().get(0).institution;
                    }

                    if (institution.indexOf("^") > 0)
                        institution = institution.substring(0, institution.indexOf("^"));

                    def queryMap = [(HttpKeys.VLER_DOCUMENT_ID)         : guiVlerDoc.getDocumentUniqueId(),
                                    (HttpKeys.VLER_HOMECOMMUNITY_ID)    : guiVlerDoc.getHomeCommunityId(),
                                    (HttpKeys.VLER_REPOSITORY_ID)       : guiVlerDoc.getRepositoryUniqueId(),
                                    (HttpKeys.VLER_DOCUMENT_NAME)       : guiVlerDoc.getName(),
                                    (HttpKeys.VLER_DOCUMENT_INSTITUTION): institution
                    ]

                    GUISite guiSite = new GUISite();
                    guiSite.setAgency("VLER");

                    guiVlerDoc.setRecordDetailsToken(
                            generateRecordDetailsToken(
                                    params[HttpKeys.PATIENT_TOKEN],
                                    "VLER",
                                    queryMap,
                                    guiSite,
                                    "VLER",
                                    false))
                }
            }
        }

        sendResponse(guiVlerDocs)
    }

//    def getVLERDocument = {
//
//        def auditQueryName = "GetVLERDocument"
//
//        VlerDocument vDoc = new VlerDocument();
//
//        vDoc.setDocumentUniqueId(request.recordQuery[HttpKeys.VLER_DOCUMENT_ID]);
//        vDoc.setHomeCommunityId(request.recordQuery[HttpKeys.VLER_HOMECOMMUNITY_ID]);
//        vDoc.setRepositoryUniqueId(request.recordQuery[HttpKeys.VLER_REPOSITORY_ID]);
//
//        auditDao.auditDetailsQuery(auditQueryName, session.appUser, request.patient,
//                "retrievingC32:" + request.recordQuery[HttpKeys.VLER_DOCUMENT_ID],
//                request.recordQuery[HttpKeys.RECORD_SITE_MONIKER],
//                request.recordQuery[HttpKeys.RECORD_SITE_AGENCY])
//
//        String titleString = "JLV Testing 12345";
//        try
//        {
//            vDoc = VLERDao.getVLERDocument(session.appUser, request.patient, vDoc);
//        }
//        catch(DaoException e)
//        {
//            log.error(e);
//        }
//
//        // setting some response headers
//        response.setHeader("Expires", "0");
//        response.setHeader("Cache-Control", "must-revalidate, post-check=0, pre-check=0");
//        response.setHeader("Pragma", "public");
//        // setting the content type
//        response.setContentType("text/html");
//        // the content length is needed for MSIE!!!
//        response.setHeader("Access-Control-Allow-Origin", "*");
//
//        if (vDoc != null && vDoc.getDocument() != null)
//        {
//
//            String path = servletContext.getRealPath("/c32styles/nhin/cda2textSections.xsl");
//            String xslString = "";
//
//            try {
//
//                xslString = FileUtils.readFileToString(new File(path));
//                xslString = xslString.replace("</head>", "<title>"+ titleString +  "</title></head>");
//
//            } catch (IOException e) {
//
//                log.error(e);
//
//            }
//
//            String dataXML = new String(vDoc.getDocument(), "UTF-8");
//
//            String outputHTML = "";
//
//            try
//            {
//                outputHTML = transform(dataXML, xslString);
//                PrintWriter out = response.getWriter();
//
//                out.println(outputHTML);
//
//                return true;
//            }
//            catch (TransformerConfigurationException e)
//            {
//                //System.out.println("----TransformerConfigurationException");
//                log.error(e);
//            }
//            catch (TransformerException e)
//            {
//                //System.out.println("----TransformerException");
//                log.error(e);
//            }
//        }
//
//        //if c32 attachment is null, send an error message
//
//        String errorMsg = "An error occurred while attempting to retrieve the document.";
//
//        response.setContentType("text");
//        response.setContentLength(errorMsg.length());
//        response.getWriter() << errorMsg;
//        response.getWriter().flush();
//
//        response.sendError 500
//        return false;
//
//    }

//    //xsl - "../c32styles/nhin/cda2textSections.xsl"
//    public String transform(String xmlString, String xslString)
//    throws TransformerConfigurationException, TransformerException
//    {
//        try{
//
//            StreamSource xmlInput = new StreamSource(new StringReader(xmlString));
//            StreamSource xslInput = new StreamSource(new StringReader(xslString));
//
//            InputStream xslStream = new ByteArrayInputStream(xslString.getBytes("UTF-8"));
//            Source xslStreamSource = new StreamSource(xslStream);
//            TransformerFactory factory = TransformerFactory.newInstance();
//            Transformer transformer = factory.newTransformer(xslStreamSource);
//
//            StringWriter outputWriter = new StringWriter();
//            Result outputResult = new StreamResult(outputWriter);
//            transformer.transform(xmlInput, outputResult);
//            return outputWriter.toString();
//
//        } catch (Exception e){
//            e.printStackTrace(System.out);
//        }
//
//        return "Error during transform";
//    }
}
