%{--
  - Janus 4.0 (c)
  - Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
  - Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
  - Contributors:
  -             Honorable Senator Daniel K. Inouye
  -             VA Pacific Islands Health Care System
  -             Tripler Army Medical Center
  -
  - Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
  -
  - You may obtain a copy of the License at:
  -
  -            http://www.apache.org/licenses/LICENSE-2.0.txt
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an "AS IS" BASIS,
  - WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  - See the License for the specific language governing permissions and limitations under the License.
  --}%


<!DOCTYPE html>
<%@ page contentType="text/html;charset=UTF-8" %>
<html xml:lang="en" lang="en" xmlns="http://www.w3.org/1999/html">

<style> html{display:none;} </style>
<script>
    // Framekiller (aka framebuster) to prevent click jacking
    if(self == top) {
        document.documentElement.style.display = 'block';
    } else {
        top.location = self.location;
    }
</script>

<head>

    <meta name="description" content="JLV login page">
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>

    <title>CV - Login</title>

    <asset:javascript src="authenticate/login.js"/>
    <asset:stylesheet src="authenticate/style.css"/>

    <script type="text/javascript">

        $(function () {

            <% if(userProfile && userProfile.getDbUserID() != null && !userProfile.getDbUserID().isEmpty())
            { %>
            UserCFG = ${userProfile.getCfg()};
            <%  }
            else { %>
            UserCFG = DefaultUserCfg();

            <% }%>

        });



    </script>

</head>

<body role="application">

<asset:image src="CV_Logo.png" id="JLVLogo"
             alt="Community Viewer"></asset:image>

<div id="ErrorMsg">
    <g:renderErrors bean="${loginCmd}"/>
    <g:if test="${errorText}">
        ${raw(errorText)}
    </g:if>
</div>


<div class="jlv-community-login">Community Care Provider Login</div>

<div id="CenterLoginForm">
    <g:form controller="authenticate" action="community" name="loginForm" onsubmit="return CommunityLogin()">
        <label id="AccessCodeLabel">Username:</label>  <br/>
        <input type="text" name="userName" id="AccessCodeInput"
               aria-labelledby="AccessCodeLabel" autocomplete="off"
               title="Enter your username to log into JLV"/>
        <label id="VerifyCodeLabel">Password:</label>  <br/>
        <input type="password" name="password" id="VerifyCodeInput"
               aria-labelledby="VerifyCodeLabel" autocomplete="off" title="Enter your password"/>


        <div id="NonEditProfileLogin">
            <div id="LoginButton">
                <input type="submit" value="Login" onsubmit="Login();"
                       title="Login using your username and password."/>

                <div id="LoginIndicator">
                    <asset:image src="loginIndicator.gif"/>
                </div>
            </div>

            <div id="LoginHeartbeat">
                <g:if test="${serviceStatus != null}">
                    <div>System Status</div>
                    <g:if test="${serviceStatus.size() > 0}">
                        <asset:image src="sysStatusWarning.png" alt="Warning" border="0"/>
                        CV is having problems.<br/><br/>
                        <ul>
                            <g:each in="${serviceStatus}" var="status">
                                <li>${status}</li>
                            </g:each>
                        </ul>
                        <br/>If problem persists, please contact the help desk.
                        <br/>
                        <br/>${grailsConfig.DoDHelpDeskName}
                        <br/>${grailsConfig.DoDHelpDeskPhone}
                        <br/>${grailsConfig.DoDHelpDeskEmail}
                        <br/>
                        <br/>${grailsConfig.VAHelpDeskName}
                        <br/>${grailsConfig.VAHelpDeskPhone}
                        <br/>${grailsConfig.VAHelpDeskEmail}
                    </g:if>
                    <g:else>
                        <asset:image src="sysStatusOK.png" alt="OK" border="0"/> CV data sources available.
                    </g:else>
                </g:if>
                <g:else>
                    <asset:image src="sysStatusError.png" alt="Error" border="0"/> System status is unavailable.<br/>
                    <br/>If problem persists, please contact the help desk.
                    <br/>
                    <br/>${grailsConfig.DoDHelpDeskName}
                    <br/>${grailsConfig.DoDHelpDeskPhone}
                    <br/>${grailsConfig.DoDHelpDeskEmail}
                    <br/>
                    <br/>${grailsConfig.VAHelpDeskName}
                    <br/>${grailsConfig.VAHelpDeskPhone}
                    <br/>${grailsConfig.VAHelpDeskEmail}
                </g:else>
            </div>

        </div>

        <div id="JLVHelpBtn">
            <a href="WebHelp/JLV_Help.htm">CV Help</a>
        </div>

        <input type="hidden" name="loginmsg" value=""/>
        <input id="userCfg" type="hidden" name="userCfg" value=""/>
        <input type="hidden" name="userFlags" value=""/>
        <input type="hidden" id="AcceptedAgreementInput" name="acceptedAgreement" value='${raw(agreement)}'/>
        <input type="hidden" name="csrf-token" value="${csrfToken}"/>
    </g:form>

</div>

<!--
<div id="Agreement-Overlay"></div> -->

<g:if test="${grailsApplication.config.grails.appVersion != null && grailsApplication.config.grails.appVersion.size() > 0}">
    <div>Build ${grailsApplication.config.grails.appVersion}</div>
</g:if>
<g:else>
    <div>Build 2.3.3.0.2</div>
</g:else>

<div id="huiLogo">
    <a href="http://www.pacifichui.org/" target=_blank
       alt="Pacific Telehealth &amp; Technology Hui" tabIndex="8">
        <asset:image src="loginHui.png" alt="Hui logo"/>
    </a>
</div>


<div id="LoginFooter">
    <p id="LoginFooterText">
        You are accessing a U.S. Government (USG) Information System (IS) that is provided for USG-authorized use only.
        By using this IS (which includes any device attached to this IS), you consent to the following conditions:
        The USG routinely intercepts and monitors communications on this IS for purposes including, but not limited to, penetration testing, COMSEC monitoring, network operations and defense, personnel misconduct (PM), law enforcement (LE), and counterintelligence (CI) investigations.
        At any time, the USG may inspect and seize data stored on this IS.
        Communications using, or data stored on, this IS are not private, are subject to routine monitoring, interception, and search, and may be disclosed or used for any USG-authorized purpose.
        This IS includes security measures (e.g., authentication and access controls) to protect USG interests—not for your personal benefit or privacy.
        Notwithstanding the above, using this IS does not constitute consent to PM, LE, or CI investigative searching or monitoring of the content of privileged communications, or work product, related to personal representation or services by attorneys, psychotherapists, or clergy, and their assistants. Such communications and work product are private and confidential.
    </p>
</div>

<div id="LoginInfo">
    <table>
        <tr><td>Last Successful Login:</td><td>${validLoginDate}</td> <td>IP:</td><td>${validLoginIP}</td></tr>
        <tr><td>Last Unsuccessful Login:</td><td>${badLoginDate}</td><td>IP:</td><td>${badLoginIP}</td></tr>
    </table>
</div>

<!--
<div id="CenterPopup">
    <div id="Agreement">

        <div id="AgreementContent">
            <p>YOU ARE ACCESSING A U.S. GOVERNMENT (USG) INFORMATION SYSTEM (IS) THAT IS PROVIDED FOR USG-AUTHORIZED USE ONLY.<br><br>
                By using this IS (which includes any device attached to this IS), you consent to the following conditions:<br>
            <ul id="AgreementList">
                <li>The USG routinely intercepts and monitors communications on this IS for purposes including, but not limited to, penetration testing, COMSEC monitoring, network operations and defense, personnel misconduct (PM), law enforcement (LE), and counterintelligence (CI) investigations.
                <li>At any time, the USG may inspect and seize data stored on this IS.
                <li>Communications using, or data stored on, this IS are not private, are subject to routine monitoring, interception, and search, and may be disclosed or used for any USG-authorized purpose.
                <li>This IS includes security measures (e.g., authentication and access controls) to protect USG interests--not for your personal benefit or privacy.
                <li>Notwithstanding the above, using this IS does not constitute consent to PM, LE or CI investigative searching or monitoring of the content of privileged communications, or work product, related to personal representation or services by attorneys, psychotherapists, or clergy, and their assistants. Such communications and work product are private and confidential.
            </ul>
        </p>
            <div class="acceptButton">
                <button id="accept" tabindex="0" onclick="AcceptAgreement();" title="Welcome to the Janus Joint Legacy Viewer Application. Press spacebar to accept this agreement. YOU ARE ACCESSING A U S  GOVERNMENT INFORMATION SYSTEM THAT IS PROVIDED FOR U S  GOVERNMENT AUTHORIZED USE ONLY.

                            By using this INFORMATION SYSTEM (which includes any device attached to this INFORMATION SYSTEM), you consent to the following conditions:

                            The U S  GOVERNMENT routinely intercepts and monitors communications on this INFORMATION SYSTEM for purposes including, but not limited to, penetration testing, COMSEC monitoring, network operations and defense, personnel misconduct, law enforcement, and counterintelligence investigations.

                            At any time, the U S GOVERNMENT may inspect and seize data stored on this INFORMATION SYSTEM.

                            Communications using, or data stored on, this INFORMATION SYSTEM are not private, are subject to routine monitoring, interception, and search, and may be disclosed or used for any U S  GOVERNMENT authorized purpose.

                            This INFORMATION SYSTEM includes security measures (e.g., authentication and access controls) to protect U S  GOVERNMENT interests not for your personal benefit or privacy.

                            Notwithstanding the above, using this IS does not constitute consent to personnel misconduct, law enforcement, or counterintelligence investigative searching or monitoring of the content of privileged communications, or work product, related to personal representation or services by attorneys, psychotherapists, or clergy, and their assistants. Such communications and work product are private and confidential.  Press Spacebar to accept.">I Accept</button>

            </div>

        </div>
    </div>
</div> -->

</body>
</html>