<!-- Main Dialog --->

<div id="JAMUserProvisioning" data-title="Community Care Provider Provisioning" class="appkit-dialog" data-visible="false"
     data-resizable="false" data-width="800"
     data-delegate="JLV.ProviderJLVAdministrativeModule.UserProvisioningController"
     data-height="600" data-outlet="JLV.ProviderJLVAdministrativeModule.UserProvisioningController.dialog">

    <!-- Provider Search  --->
    <div id="JAMProviderSearch" class="appkit-view">
        <div class="jam-search-panel">
            <div class="appkit-form" style="display: inline-block;"
                 data-action="JLV.ProviderJLVAdministrativeModule.UserProvisioningController.search">
                <input type='text' id="JAMProviderNameInput" class="appkit-textfield"
                       data-placeholder="Enter Provider Name"
                       data-outlet="JLV.ProviderJLVAdministrativeModule.UserProvisioningController.searchField"/>

                <div class='jlv-jam-provider-search-btn appkit-button' class="appkit-button"
                     data-type="primary"
                     data-enabled="false"
                     data-outlet="JLV.ProviderJLVAdministrativeModule.UserProvisioningController.searchBtn"
                     data-action="JLV.ProviderJLVAdministrativeModule.UserProvisioningController.search">Search</div>
            </div>

            <div style='width:150px;' class='jlv-jam-provider-search-btn appkit-button' class="appkit-button"
                 data-action="JLV.ProviderJLVAdministrativeModule.ProviderInformationPanelController.show">Add New Provider</div>

        </div>

        <div id="JAMProviderListTable" class="appkit-table"
             data-source="JLV.ProviderJLVAdministrativeModule.UserProvisioningController.providerSearchResults"
             data-outlet="JLV.ProviderJLVAdministrativeModule.UserProvisioningController.providerSearchTable"
             data-delegate="JLV.ProviderJLVAdministrativeModule.UserProvisioningController">

            <div data-id="name" class="appkit-table-column"
                 data-formatter="nameFormatter"
                 data-sorter="nameSorter"
                 data-fixed="true"
                 data-width="760">Provider Name</div>

        </div>
    </div>

    <!-- Assign Patients --->

    <div id="JAMProviderPatientList" class="appkit-view" style="display: none;">
    <div class="jlv-jam-patient-list-provider-name">Outside Provider : &nbsp;<span id="JAMProviderName"></span></div>

        <div class="jlv-jam-patient-list-edit-provider"><a href="#"
                                                           id="JAMEditProviderProfileLink">Edit Provider Profile</a>
        </div>

        <div class="appkit-view jlv-jam-provider-assigned-patients">
            <div class="jlv-jam-assigned-patients-section">
                Assigned Patients
                <div class="jlv-jam-assigned-patients-buttons">
                    <a href="#" id="JAMAssignNewPatientButton">+ Assign New Patient</a>
                    <a href="#" id="JAMUnassignPatientButton">Un-assign Selected Patients</a>
                </div>

                <div class="appkit-table"
                     data-outlet="JLV.ProviderJLVAdministrativeModule.UserProvisioningController.assignedPatientsTable"
                     data-source="JLV.ProviderJLVAdministrativeModule.UserProvisioningController.assignedPatients"
                     data-delegate="JLV.ProviderJLVAdministrativeModule.UserProvisioningController">

                    <div data-id="name" class="appkit-table-column"
                         data-formatter="patientNameFormatter"
                         data-sorter="nameSorter"
                         data-width="230">Patient Name</div>

                    <div data-id="consultNo" class="appkit-table-column"
                         data-width="90">Consult No.</div>

                    <div data-id="consultName" class="appkit-table-column"
                         data-width="115">Consult</div>

                    <div data-id="provider" class="appkit-table-column"
                         data-width="125">Provider</div>

                    <div data-id="status" class="appkit-table-column"
                         data-width="95">Consult Status</div>

                    <div data-id="usage"
                         data-formatter="usageFormatter"
                         class="appkit-table-column"
                         data-width="65">JLV Usage</div>

                </div>
            </div>

            <div class="jlv-jam-assigned-patients-section">
                Previously Assigned Patients
                <div class="appkit-table"
                     data-outlet="JLV.ProviderJLVAdministrativeModule.UserProvisioningController.prevAssignedPatientsTable"
                     data-source="JLV.ProviderJLVAdministrativeModule.UserProvisioningController.assignedPatients"
                     data-delegate="JLV.ProviderJLVAdministrativeModule.UserProvisioningController">

                    <div data-id="name" class="appkit-table-column"
                         data-sorter="nameSorter"
                         data-width="230">Patient Name</div>

                <div data-id="consultNo" class="appkit-table-column"
                         data-width="90">Consult No.</div>

                <div data-id="consultName" class="appkit-table-column"
                         data-width="115">Consult</div>

                <div data-id="provider" class="appkit-table-column"
                         data-width="125">Provider</div>

                <div data-id="status" class="appkit-table-column"
                         data-width="95">Consult Status</div>

                <div data-id="usage"
                     data-formatter="usageFormatter"
                     class="appkit-table-column"
                     data-width="65">JLV Usage</div>

                </div>
            </div>

        </div>

    <div class="appkit-button back-btn" data-type="primary"
             data-action="JLV.ProviderJLVAdministrativeModule.UserProvisioningController.showProviderSearch"><< &nbsp;&nbsp;Back to Provider Search</div>

    <div class="appkit-button cancel-btn"
         data-action="JLV.ProviderJLVAdministrativeModule.UserProvisioningController.close">Finish</div>

</div>

</div>


<!-- Provider Information Dialog --->

<div id="JAMProviderProfile" data-title="Provider Profile" class="appkit-dialog" data-visible="false"
     data-resizable="false" data-width="740" data-modal="true"
     data-height="480"
     data-delegate="JLV.ProviderJLVAdministrativeModule.ProviderInformationPanelController"
     data-outlet="JLV.ProviderJLVAdministrativeModule.ProviderInformationPanelController.dialog">

    <form class="appkit-form form">
        <table class="form-table">
            <tr><td class="form-label">Organization</td>
                <td colspan="3">
                    <input type="text"
                           data-outlet="JLV.ProviderJLVAdministrativeModule.ProviderInformationPanelController.organizationField"
                           data-placeholder="Optional" class="appkit-textfield"/>
                </td></tr>
            <tr><td class="form-label">First Name</td><td>
                <input type="text" data-placeholder="Required"
                       data-outlet="JLV.ProviderJLVAdministrativeModule.ProviderInformationPanelController.firstNameField"
                                                                 class="appkit-textfield"/></td>
                <td class="form-label" style="width:75px;">Last Name</td>
                <td>
                    <input type="text"
                           data-outlet="JLV.ProviderJLVAdministrativeModule.ProviderInformationPanelController.lastNameField"
                           data-placeholder="Required" class="appkit-textfield"/>
                </td>
            </tr>
            <tr><td class="form-label">NPI</td><td>
                <input type="text" data-placeholder="Optional"
                       data-outlet="JLV.ProviderJLVAdministrativeModule.ProviderInformationPanelController.npiField"
                                                          class="appkit-textfield"/></td></tr>
            <tr><td class="form-label">Phone</td><td>
                <input type="text" data-placeholder="Required"
                       data-outlet="JLV.ProviderJLVAdministrativeModule.ProviderInformationPanelController.phoneField"
                                                            class="appkit-textfield"/></td></tr>
            <tr><td class="form-label">Email</td><td colspan="2">
                <input type="text" data-placeholder="Required"
                       data-outlet="JLV.ProviderJLVAdministrativeModule.ProviderInformationPanelController.emailField"
                                                                        class="appkit-textfield"/></td></tr>
            <tr style="height:15px;"></tr>
            <tr><td class="form-label" style="width:100px;">Account Type</td><td colspan="3">
                <input id="JAMProviderAccountTypeOutside"
                       type="radio" checked/><label
                        for="JAMProviderAccountTypeOutside">Outside Provider</label></td></tr>
            <tr><td class="form-label" style="width:200px;">Allow Access to Data Types</td>
                <td colspan="3">

                    <div class="jlv-jam-provider-access-option">
                        <input id="JAMProviderVAAccess" type="checkbox" checked/>
                        <label for="JAMProviderVAAccess">VA</label>
                    </div>

                    <div class="jlv-jam-provider-access-option">
                        <input id="JAMProviderDoDAccess" type="checkbox" disabled/>
                        <label for="JAMProviderDoDAccess" style="color:#999;">DoD</label>
                    </div>

                    <div class="jlv-jam-provider-access-option">
                        <input id="JAMProviderVAVlerAccess" type="checkbox" disabled/>
                        <label for="JAMProviderVAVlerAccess" style="color:#999;">VA VLER</label>
                    </div>

                    <div class="jlv-jam-provider-access-option">
                        <input id="JAMProviderDoDVlerAccess" type="checkbox" disabled/>
                        <label for="JAMProviderDoDVlerAccess" style="color:#999;">DoD VLER</label>
                    </div>

                </td></tr>

            <tr><td class="form-label">User Name</td><td colspan="4" style="max-width:500px;">
                <div id="JAMProviderUsernameField"></div></td></tr>
            <tr><td class="form-label">Password</td><td>
                <input type="text" data-placeholder="Required"
                       data-outlet="JLV.ProviderJLVAdministrativeModule.ProviderInformationPanelController.passwordField"
                       class="appkit-textfield"/></td>




                <td><div class="appkit-button"
                         data-action="JLV.ProviderJLVAdministrativeModule.ProviderInformationPanelController.generatePassword">Generate</div>
                </td>
            </tr>

            <tr style="display:none;">
                <td class="form-label">Password</td>

                <td><div class="appkit-button"
                         data-outlet="JLV.ProviderJLVAdministrativeModule.ProviderInformationPanelController.passwordResetBtn"
                         data-action="JLV.ProviderJLVAdministrativeModule.ProviderInformationPanelController.resetPassword">Reset Password</div>
                </td>

            </tr>

        </table>

    </form>


    <div class="appkit-button ok-btn" data-type="primary"
         data-action="JLV.ProviderJLVAdministrativeModule.ProviderInformationPanelController.confirm">OK</div>

    <div class="appkit-button cancel-btn"
         data-action="JLV.ProviderJLVAdministrativeModule.ProviderInformationPanelController.close">Cancel</div>

</div>


<!-- Patient Search Dialog --->

<div id="JAMPatientSearch" data-title="Patient Search" class="appkit-dialog" data-visible="false"
     data-resizable="false" data-width="760"
     data-height="540" data-modal="true"
     data-delegate="JLV.ProviderJLVAdministrativeModule.PatientSearchController"
     data-outlet="JLV.ProviderJLVAdministrativeModule.PatientSearchController.dialog">

    <form class="appkit-form form">
        <div class="jam-search-panel">
            <div class="appkit-form" style="display: inline-block;"
                 data-action="JLV.ProviderJLVAdministrativeModule.PatientSearchController.search">
                <input type='text' id="JAMPatientSearchInput" class="appkit-textfield"
                       data-placeholder="Patient Search"
                       data-outlet="JLV.ProviderJLVAdministrativeModule.PatientSearchController.searchField"/>

                <div class='jlv-jam-patient-search-btn appkit-button' class="appkit-button"
                     data-type="primary"
                     data-enabled="false"
                     data-outlet="JLV.ProviderJLVAdministrativeModule.PatientSearchController.searchBtn"
                     data-action="JLV.ProviderJLVAdministrativeModule.PatientSearchController.search">Search</div>
            </div>
        </div>

        <div style="position:relative;height:336px;">
            <div id="JAMPatientSearchSelectTable">
                Patient Select
                <div class="appkit-table"
                     data-delegate="JLV.ProviderJLVAdministrativeModule.PatientSearchController"
                     data-source="JLV.ProviderJLVAdministrativeModule.PatientSearchController.patientSearchResults"
                     data-outlet="JLV.ProviderJLVAdministrativeModule.PatientSearchController.patientSearchTable">

                    <div data-id="name" class="appkit-table-column"
                         data-formatter="nameFormatter"
                         data-sorter="nameSorter"
                         data-width="100%">Patient Name</div>

                </div>
            </div>

            <div id="JAMPatientSearchConsultsTable">
                Consults
                <div class="appkit-table"
                     data-delegate="JLV.ProviderJLVAdministrativeModule.PatientSearchController"
                     data-source="JLV.ProviderJLVAdministrativeModule.PatientSearchController.patientConsultResults"
                     data-outlet="JLV.ProviderJLVAdministrativeModule.PatientSearchController.consultTable">

                <div data-id="consultId" class="appkit-table-column"
                     data-formatter="consultNoFormatter"
                     data-width="100">Consult No.</div>

                <div data-id="outCode" class="appkit-table-column"
                     data-width="170">Consult Name</div>

                <div data-id="providerName" class="appkit-table-column"
                         data-width="150">Referring Provider</div>

                </div>

            </div>

        </div>

        <table style="width:400px;">
            <tr><td class="form-label" style="width:160px;">Default Date Range Start</td><td>
                <div class="appkit-datepicker"
                     data-outlet="JLV.ProviderJLVAdministrativeModule.PatientSearchController.startDate"></div>
            </td></tr>
        </table>

    </form>


    <div class='appkit-button ok-btn' class="appkit-button"
         data-action="JLV.ProviderJLVAdministrativeModule.PatientSearchController.assign"
         data-outlet="JLV.ProviderJLVAdministrativeModule.PatientSearchController.assignBtn"
         data-type="primary">Assign</div>

    <div class="appkit-button cancel-btn"
         data-action="JLV.ProviderJLVAdministrativeModule.PatientSearchController.close">Cancel</div>

</div>