%{--
  - Janus 4.0 (c)
  - Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
  - Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
  - Contributors:
  -             Honorable Senator Daniel K. Inouye
  -             VA Pacific Islands Health Care System
  -             Tripler Army Medical Center
  -
  - Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
  -
  - You may obtain a copy of the License at:
  -
  -            http://www.apache.org/licenses/LICENSE-2.0.txt
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an "AS IS" BASIS,
  - WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  - See the License for the specific language governing permissions and limitations under the License.
  --}%

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge"/>

    <meta name="csrf-token" content="${csrfToken}"/>

<g:if test="${user != null && "VA".equalsIgnoreCase(user.getAgency())}">
    <OBJECT id="ContextorControl"
            data="data:application/x-oleobject;base64,96x4h6lc0xGHJwBgsLXhNwADAADYEwAA2BMAAA=="
            classid="CLSID:8778ACF7-5CA9-11D3-8727-0060B0B5E137"
            name="ContextorControl"
            VIEWASTEXT style="height:0px; width:0px;">
    </OBJECT>
</g:if>
    <!-- styles  <asset:stylesheet src="AppKit/icons/style.css"/> -->


    <asset:stylesheet src="AppKit/appkit.css"/>
    <asset:stylesheet src="view/main.css"/>

    <!-- javascript -->
    <asset:javascript src="view/application.js"/>

    <!-- handle IE8 quirks -->
    <!--[if lt IE 9]>
            <link rel="stylesheet" href="/JLV/assets/AppKit/IE8.css"  />
            <link rel="stylesheet" href="/JLV/assets/view/IE8.css"  />
            <asset:javascript src="lib/IE8.js"/>
        <![endif]-->


    <!-- set theme -->
    <g:if test="${theme == 'default'}">
        <asset:stylesheet src="themes/default/default.css"/>
    </g:if>

    <g:if test="${theme == 'green'}">
        <asset:stylesheet src="themes/green/green.css"/>
    </g:if>

    <g:if test="${theme == 'blue'}">
        <asset:stylesheet src="themes/blue/blue.css"/>
    </g:if>

    <g:if test="${theme == 'gray'}">
        <asset:stylesheet src="themes/gray/gray.css"/>
    </g:if>

    <g:if test="${theme == 'accessible'}">
        <asset:stylesheet src="themes/accessible/accessible.css"/>
        <script>
            $(function () {
                $.watermark.options.useNative = false;
            });
        </script>
    </g:if>

    <SCRIPT language="JavaScript" FOR="ContextorControl" EVENT="Pending(contextItems)">
        JLV.Context.pending(contextItems);
    </SCRIPT>

    <SCRIPT language="JavaScript" FOR="ContextorControl" EVENT="Committed">
        JLV.Context.committed();
    </SCRIPT>

    <SCRIPT language="JavaScript" FOR="ContextorControl" EVENT="Canceled">
        JLV.Context.canceled();
    </SCRIPT>

</head>

<body role="application" onload="JLV.Context.connect('${user.getAgency()}', '${user.getHostSite().getSiteCode()}')">

<g:render template="AppToolbar"/>

<div id="JLV-Desktop" class="appkit-view">

    <div id="ProviderPortal" class="jlv-provider-portal jlv-tabview"></div>

    <div id="WindowDock" class="jlv-window-bar">
        <div title="Add Widget" aria-label="Add Widget Button" id="AddWidgetButton" class="jlv-add-widget"
             data-action="JLV.AppController.toggleWidgetMenu" data-next-key="PatientSearchToolbarButton">
            <div class="icon-plus-big light-icon"></div>
        </div>
    </div>

</div>

<g:render template="VlerConfirm"/>
<g:render template="WidgetVlerLoading"/>
<g:render template="WidgetDateFilter"/>
<g:render template="MoreFilter"/>
<g:render template="WidgetMenu"/>
<g:render template="PatientSearch"/>
<g:render template="AddReference"/>
<g:render template="Settings"/>
<g:render template="BreakTheGlassWindowVHA"/>
<g:render template="BreakTheGlassWindowVBAAccess"/>
<g:render template="BreakTheGlassWindowVBADenied"/>
<g:render template="BreakTheGlassWindowSensitiveRecord"/>
<g:render template="JAMWidget"/>


<div id="VLERSiteListTooltip">

</div>

<!-- add tab dialog -->
<div id="AddTabDialog" data-title="Add Tab" class="appkit-dialog" data-visible="false"
     data-resizable="false" data-modal="true" data-width="440" data-delegate="JLV.Desktop.AddTabDialogController"
     data-height="200">

    <div class="appkit-form form" data-action="JLV.Desktop.AddTabDialogController.onAdd">
        <label for="TabNameInput">Tab Name:</label>
        <input type="text" id="TabNameInput"
               data-outlet='JLV.Desktop.AddTabDialogController.TabNameInput'
               class="appkit-textfield"/>
    </div>

    <div class="appkit-button add-btn" data-type="primary"
         data-action="JLV.Desktop.AddTabDialogController.onAdd">Add</div>

    <div class="appkit-button cancel-btn"
         data-action="JLV.Desktop.AddTabDialogController.onCancel">Cancel</div>

</div>

<!-- set some globals -->

<script type="text/javascript">

    <g:if test="${user.getCfg()}">
    JLV.Session.cfg = ${user.getCfg()};
    </g:if>

    <g:if test="${user}">
    JLV.ActiveProvider = {
        name: "${user.getName()}",
        agency: "${user.getAgency()}",
        providerToken: "${user.getBseToken()}",
        ien: "${user.getUserIen()}"
    };
    </g:if>
    <g:if env="development">
        JLV.ActiveProvider.dev = true;
    </g:if>

    JLV.Session.Timeout = 30;
    <g:if test="${sessionTimeout}">
    JLV.Session.Timeout = ${sessionTimeout};
    </g:if>



    <g:if test="${grailsApplication.config.grails.appLocation != null && grailsApplication.config.grails.appLocation.size() > 0}">
        JLV.common.appLocation = '${grailsApplication.config.grails.appLocation}';
    </g:if>
    <g:else>
        JLV.common.appLocation = "";
    </g:else>

    JLV.common.AGENCY_DOD_VLER = "VLER";
    JLV.common.AGENCY_DOD = "DOD";
    <g:if test="${grailsConfig.agencyDOD}">
    JLV.common.AGENCY_DOD = '${grailsConfig.agencyDOD}';
    </g:if>

    JLV.common.AGENCY_VA = "VA";
    <g:if test='${grailsConfig.agencyVA}'>
    JLV.common.AGENCY_VA = '${grailsConfig.agencyVA}';
    </g:if>

    JLV.common.APP_VERSION = '${appVersion}';
    JLV.common.PROTOCOL_DODADAPTER = '${grailsConfig.protocolDODAdapter}';
    JLV.common.MEDWEB_PLUGIN_URL = '<g:resource dir="medweb" file="plugin41037.exe"/>';
    JLV.common.ONLINE_HELP_URL = '<g:resource dir="WebHelp" file="JLV_help.htm"/>';
    JLV.common.ENABLE_PROV_PROFILE = ${enableProvProfile};
    JLV.common.ALLOW_MEDWEB_PLUGIN = ${allowMedwebPlugin};
    JLV.common.AHLTA_LOGIN_FLAG = ${ahltaLoginFlag}; // AHLTA link flag
    JLV.common.AHLTA_LOGIN_PATIENT = ${ahltaLoginPatient}; // AHLTA link patient
    JLV.common.OUTSIDE_PROVIDER_FLAG = ${outsideProviderFlag}; // Outside provider logged in
    JLV.common.ASSIGNED_PATIENT_DATE_FILTER = '';

    //application session timeout in minutes
    JLV.common.sessionTimeout = ${sessionTimeout};

    //health monitor help desk information
    %{--<g:if test="${user.getAgency() == 'DOD'}">--}%
    JLV.common.HelpDeskName = '${grailsApplication.config.grails.DoDHelpDeskName}';
    JLV.common.HelpDeskPhone = '${grailsApplication.config.grails.DoDHelpDeskPhone}';
    JLV.common.HelpDeskEmail = '${grailsApplication.config.grails.DoDHelpDeskEmail}';
    %{--</g:if>--}%
    %{--<g:else>--}%
    JLV.common.HelpDeskName2 = '${grailsApplication.config.grails.VAHelpDeskName}';
    JLV.common.HelpDeskPhone2 = '${grailsApplication.config.grails.VAHelpDeskPhone}';
    JLV.common.HelpDeskEmail2 = '${grailsApplication.config.grails.VAHelpDeskEmail}';
    %{--</g:else>--}%



</script>



</body>

</html>
