/*
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *             Honorable Senator Daniel K. Inouye
 *             VA Pacific Islands Health Care System
 *             Tripler Army Medical Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 *
 *            http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */


package gov.va.med.guibeans;

public class GUILabResult extends GUIBean {
    private String testId;
    private String result;
    private String accession;
    private String orderId;
    private String testName;
    private String printName;
    private String verifiedBy;
    private String interpretation;
    private String interpretationCode;
    private String interpretationDetail;
    private String referenceRange;
    private String resultStatus;
    private String units;
    private String comment;
    private String orderComment;
    private String resultDate;
    private String collectionDate;
    private String orderDate;
    private String subscript;
    private String specimen;
    private boolean histogramAvailable;
    private String histogramRecordToken;
    private String patientName;
    private String patientToken;
    private boolean freeTextReport;
    private String accessionType;
    private boolean sensitive;

    private String performingLabCity;
    private String performingLabName;
    private String performingLabPhone;
    private String performingLabPostalCode;
    private String performingLabStateProvince;
    private String performingLabStreet1;
    private String performingLabStreet2;
    private String performingLabStreet3;
    private String requestingLocation;

    private GUIProvider provider;

    private String stationNumber;
    private String quantity;


    public String getTestId() {
        return testId;
    }

    public void setTestId(String testId) {
        this.testId = testId;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getAccession() {
        return accession;
    }

    public void setAccession(String accession) {
        this.accession = accession;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getTestName() {
        return testName;
    }

    public void setTestName(String testName) {
        this.testName = testName;
    }

    public String getPrintName() {
        return printName;
    }

    public void setPrintName(String printName) {
        this.printName = printName;
    }

    public String getVerifiedBy() {
        return verifiedBy;
    }

    public void setVerifiedBy(String verifiedBy) {
        this.verifiedBy = verifiedBy;
    }

    public String getInterpretation() {
        return interpretation;
    }

    public String getInterpretationCode() {
        return interpretationCode;
    }

    public void setInterpretationCode(String interpretationCode) {
        this.interpretationCode = interpretationCode;
    }

    public String getInterpretationDetail() {
        return interpretationDetail;
    }

    public void setInterpretationDetail(String interpretationDetail) {
        this.interpretationDetail = interpretationDetail;
    }

    public void setInterpretation(String interpretation) {
        this.interpretation = interpretation;
    }

    public String getReferenceRange() {
        return referenceRange;
    }

    public void setReferenceRange(String referenceRange) {
        this.referenceRange = referenceRange;
    }

    public String getResultStatus() {
        return resultStatus;
    }

    public void setResultStatus(String resultStatus) {
        this.resultStatus = resultStatus;
    }

    public String getUnits() {
        return units;
    }

    public void setUnits(String units) {
        this.units = units;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getOrderComment() {
        return orderComment;
    }

    public void setOrderComment(String orderComment) {
        this.orderComment = orderComment;
    }

    public String getResultDate() {
        return resultDate;
    }

    public void setResultDate(String resultDate) {
        this.resultDate = resultDate;
    }

    public String getCollectionDate() {
        return collectionDate;
    }

    public void setCollectionDate(String collectionDate) {
        this.collectionDate = collectionDate;
    }

    public String getOrderDate() {
        return orderDate;
    }

    public void setOrderDate(String orderDate) {
        this.orderDate = orderDate;
    }

    public String getSpecimen() {
        return specimen;
    }

    public void setSpecimen(String specimen) {
        this.specimen = specimen;
    }

    public boolean isHistogramAvailable() {
        return histogramAvailable;
    }

    public void setHistogramAvailable(boolean histogramAvailable) {
        this.histogramAvailable = histogramAvailable;
    }

    public String getHistogramRecordToken() {
        return histogramRecordToken;
    }

    public void setHistogramRecordToken(String histogramRecordToken) {
        this.histogramRecordToken = histogramRecordToken;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getPatientToken() {
        return patientToken;
    }

    public void setPatientToken(String patientToken) {
        this.patientToken = patientToken;
    }

    public boolean isFreeTextReport() {
        return freeTextReport;
    }

    public void setFreeTextReport(boolean freeTextReport) {
        this.freeTextReport = freeTextReport;
    }

    public String getSubscript() {
        return subscript;
    }

    public void setSubscript(String subscript) {
        this.subscript = subscript;
    }

    public String getAccessionType() {
        return accessionType;
    }

    public void setAccessionType(String accessionType) {
        this.accessionType = accessionType;
    }

    public boolean isSensitive() {
        return sensitive;
    }

    public void setSensitive(boolean sensitive) {
        this.sensitive = sensitive;
    }

    public String getPerformingLabCity() {
        return performingLabCity;
    }

    public void setPerformingLabCity(String performingLabCity) {
        this.performingLabCity = performingLabCity;
    }

    public String getPerformingLabName() {
        return performingLabName;
    }

    public void setPerformingLabName(String performingLabName) {
        this.performingLabName = performingLabName;
    }

    public String getPerformingLabPhone() {
        return performingLabPhone;
    }

    public void setPerformingLabPhone(String performingLabPhone) {
        this.performingLabPhone = performingLabPhone;
    }

    public String getPerformingLabPostalCode() {
        return performingLabPostalCode;
    }

    public void setPerformingLabPostalCode(String performingLabPostalCode) {
        this.performingLabPostalCode = performingLabPostalCode;
    }

    public String getPerformingLabStateProvince() {
        return performingLabStateProvince;
    }

    public void setPerformingLabStateProvince(String performingLabStateProvince) {
        this.performingLabStateProvince = performingLabStateProvince;
    }

    public String getPerformingLabStreet1() {
        return performingLabStreet1;
    }

    public void setPerformingLabStreet1(String performingLabStreet1) {
        this.performingLabStreet1 = performingLabStreet1;
    }

    public String getPerformingLabStreet2() {
        return performingLabStreet2;
    }

    public void setPerformingLabStreet2(String performingLabStreet2) {
        this.performingLabStreet2 = performingLabStreet2;
    }

    public String getPerformingLabStreet3() {
        return performingLabStreet3;
    }

    public void setPerformingLabStreet3(String performingLabStreet3) {
        this.performingLabStreet3 = performingLabStreet3;
    }

    public String getRequestingLocation() {
        return requestingLocation;
    }

    public void setRequestingLocation(String requestingLocation) {
        this.requestingLocation = requestingLocation;
    }

    public GUIProvider getProvider() {
        return provider;
    }

    public void setProvider(GUIProvider provider) {
        this.provider = provider;
    }

    public String getStationNumber() {
        return stationNumber;
    }

    public void setStationNumber(String stationNumber) {
        this.stationNumber = stationNumber;
    }

    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }
}
