/*
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *             Honorable Senator Daniel K. Inouye
 *             VA Pacific Islands Health Care System
 *             Tripler Army Medical Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 *
 *            http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */


package gov.va.med.guibeans;

public class GUIProgressNote extends GUIBean {
    private String noteDate;
    private String location;
    private String status;
    private String noteType;
    private String noteTitle;
    private GUIProvider provider;
    private String providerName;
    private String visitAdm;
    private String images;
    private String amended;
    private String noteId;
    private String noteText;
    private boolean noteAsBinaryStream;
    private boolean noteAsPlainText;
    private String complexDataUrl;
    private String patientName;
    private String patientToken;


    /**
     * Is progress note marked as sensitive?
     */
    private boolean sensitive;

    public String getNoteDate() {
        return noteDate;
    }

    public void setNoteDate(String noteDate) {
        this.noteDate = noteDate;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getNoteType() {
        return noteType;
    }

    public void setNoteType(String noteType) {
        this.noteType = noteType;
    }

    public GUIProvider getProvider() {
        return provider;
    }

    public void setProvider(GUIProvider provider) {
        this.provider = provider;
    }

    public String getProviderName() {
        return providerName;
    }

    public void setProviderName(String providerName) {
        this.providerName = providerName;
    }

    public String getVisitAdm() {
        return visitAdm;
    }

    public void setVisitAdm(String visitAdm) {
        this.visitAdm = visitAdm;
    }

    public String getImages() {
        return images;
    }

    public void setImages(String images) {
        this.images = images;
    }

    public String getAmended() {
        return amended;
    }

    public void setAmended(String amended) {
        this.amended = amended;
    }

    public String getNoteId() {
        return noteId;
    }

    public void setNoteId(String noteId) {
        this.noteId = noteId;
    }

    public String getNoteText() {
        return noteText;
    }

    public void setNoteText(String noteText) {
        this.noteText = noteText;
    }

    public boolean isNoteAsBinaryStream() {
        return noteAsBinaryStream;
    }

    public void setNoteAsBinaryStream(boolean noteAsBinaryStream) {
        this.noteAsBinaryStream = noteAsBinaryStream;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getPatientToken() {
        return patientToken;
    }

    public void setPatientToken(String patientToken) {
        this.patientToken = patientToken;
    }

    public String getNoteTitle() {
        return noteTitle;
    }

    public void setNoteTitle(String noteTitle) {
        this.noteTitle = noteTitle;
    }

    public boolean isSensitive() {
        return sensitive;
    }

    public void setSensitive(boolean sensitive) {
        this.sensitive = sensitive;
    }

    public String getComplexDataUrl() {
        return complexDataUrl;
    }

    public void setComplexDataUrl(String complexDataUrl) {
        this.complexDataUrl = complexDataUrl;
    }

    public boolean isNoteAsPlainText() {
        return noteAsPlainText;
    }

    public void setNoteAsPlainText(boolean noteAsPlainText) {
        this.noteAsPlainText = noteAsPlainText;
    }


}
