/*
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *             Honorable Senator Daniel K. Inouye
 *             VA Pacific Islands Health Care System
 *             Tripler Army Medical Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 *
 *            http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */


package gov.va.med.guibeans;

import java.io.Serializable;
import java.util.List;

public class GUIUser implements Serializable {
    public static final long serialVersionUID = 100;

    private String userId;
    private String cardId;
    private String cfg;
    private String dob;
    private String agency;
    private String dutyPhone;
    private String email;
    private String encryptedAvCode;
    private String gender;
    private GUISite hostSite;
    private String npi;
    private String name;
    private String pager;

    private String providerClass;
    private String providerFlag;
    private String encryptedFederatedUid;
    private String sigClass;
    private String userIen;
    private String providerIen;
    private String dmisId;
    private String bseToken;
    private List<GUIPermission> guiPermissions;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getCardId() {
        return cardId;
    }

    public void setCardId(String cardId) {
        this.cardId = cardId;
    }

    public String getCfg() {
        return cfg;
    }

    public void setCfg(String cfg) {
        this.cfg = cfg;
    }

    public String getDob() {
        return dob;
    }

    public void setDob(String dob) {
        this.dob = dob;
    }

    public String getAgency() {
        return agency;
    }

    public void setAgency(String agency) {
        this.agency = agency;
    }

    public String getDutyPhone() {
        return dutyPhone;
    }

    public void setDutyPhone(String dutyPhone) {
        this.dutyPhone = dutyPhone;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getEncryptedAvCode() {
        return encryptedAvCode;
    }

    public void setEncryptedAvCode(String encryptedAvCode) {
        this.encryptedAvCode = encryptedAvCode;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getNpi() {
        return npi;
    }

    public void setNpi(String npi) {
        this.npi = npi;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPager() {
        return pager;
    }

    public void setPager(String pager) {
        this.pager = pager;
    }

    public String getProviderClass() {
        return providerClass;
    }

    public void setProviderClass(String providerClass) {
        this.providerClass = providerClass;
    }

    public String getProviderFlag() {
        return providerFlag;
    }

    public void setProviderFlag(String providerFlag) {
        this.providerFlag = providerFlag;
    }

    public String getEncryptedFederatedUid() {
        return encryptedFederatedUid;
    }

    public void setEncryptedFederatedUid(String encryptedFederatedUid) {
        this.encryptedFederatedUid = encryptedFederatedUid;
    }

    public String getSigClass() {
        return sigClass;
    }

    public void setSigClass(String sigClass) {
        this.sigClass = sigClass;
    }

    public String getUserIen() {
        return userIen;
    }

    public void setUserIen(String userIen) {
        this.userIen = userIen;
    }

    public String getProviderIen() {
        return providerIen;
    }

    public void setProviderIen(String providerIen) {
        this.providerIen = providerIen;
    }

    public List<GUIPermission> getGuiPermissions() {
        return guiPermissions;
    }

    public void setGuiPermissions(List<GUIPermission> guiPermissions) {
        this.guiPermissions = guiPermissions;
    }

    public GUISite getHostSite() {
        return hostSite;
    }

    public void setHostSite(GUISite hostSite) {
        this.hostSite = hostSite;
    }

    public String getDmisId() {
        return dmisId;
    }

    public void setDmisId(String dmisId) {
        this.dmisId = dmisId;
    }

    public String getBseToken() {
        return bseToken;
    }

    public void setBseToken(String bseToken) {
        this.bseToken = bseToken;
    }
}
