package gov.va.med.rpc;


public class VistaQueryNationalImpl extends AbstractVistaQuery {
    public VistaQueryNationalImpl() {
        super();
    }

    public VistaQueryNationalImpl(String rpcName) {
        super(rpcName);
    }

    public String buildMessage() {
        final String PREFIX = "[XWB]";
        final int COUNT_WIDTH = 3;
        final String RPC_VERSION = "1.108";

        StringBuilder sParamsSB = new StringBuilder("5");           // Don't ask my why - from the broker code
        int queryParamSize = vistaQueryParameters.size();
        for (int i = 0; i < queryParamSize; i++) {
            VistaQueryParameter vparam = vistaQueryParameters.get(i);
            int pType = vparam.getType();
            if (pType == LITERAL) {
                sParamsSB.append('0');
                sParamsSB.append(StringUtils.LPack(vparam.getValue(), COUNT_WIDTH));
                sParamsSB.append('f');
            } else if (pType == REFERENCE) {
                sParamsSB.append('1');
                sParamsSB.append(StringUtils.LPack(vparam.getValue(), COUNT_WIDTH));
                sParamsSB.append('f');
            } else if (pType == LIST) {
                sParamsSB.append('2');
                sParamsSB.append(list2string(vparam.getList()));
            }
        }

        // More inscrutable ugliness from the Delphi broker
        if ("5".equals(sParamsSB.toString())) {
            sParamsSB.append("4f");
        }

        StringBuilder msgSB = new StringBuilder();
        msgSB.append(PREFIX);
        msgSB.append("11");
        msgSB.append(Integer.toString(COUNT_WIDTH));
        msgSB.append("02");
        msgSB.append(StringUtils.SPack(RPC_VERSION));
        msgSB.append(StringUtils.SPack(rpcName));
        msgSB.append(sParamsSB.toString());
        msgSB.append('\u0004');

        return msgSB.toString();
    }
}
