/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.vds.base.dao;

import gov.va.med.rpc.RPCConnection;
import gov.va.med.rpc.site.SiteUtils;
import gov.va.med.vds.common.AppConfig;
import gov.va.med.vds.dataservicehandler.AdapterDocQueryHandler;
import gov.va.med.vds.dataservicehandler.AdapterDocRetrievalHandler;
import gov.va.med.vds.provider.dao.cache.CacheSiteConnection;

import com.intersys.objects.CacheException;


/**
 *
 */
public abstract class DaoBase {
//    private static final Logger LOGGER = LoggerFactory.getLogger(DaoBase.class);

    protected final static AppConfig APP_CONFIG = AppConfig.getInstance();
    protected static final String PROTOCOL_RPC = APP_CONFIG.getProtocolRPC();
    protected static final String AGENCY_VA = APP_CONFIG.getAgencyVA();
    protected static final String VLER_DQ_URL = APP_CONFIG.getVLER_DQ_URL();
    protected static final String VLER_DR_URL = APP_CONFIG.getVLER_DR_URL();
//    protected static final String VLER_PD_URL = APP_CONFIG.getVLER_PD_URL();
//    protected static final String VLER_PA_URL = APP_CONFIG.getVLER_PA_URL();

    protected static final AdapterDocQueryHandler sm_adqHandler = new AdapterDocQueryHandler(VLER_DQ_URL);
    protected static final AdapterDocRetrievalHandler sm_adrHandler = new AdapterDocRetrievalHandler(VLER_DR_URL);

    protected RPCConnection cxn;

    public DaoBase() {
        super();
    }

    public DaoBase(RPCConnection cxn) {
        this.cxn = cxn;
    }

    public boolean isCacheObjectSite() throws CacheException {
        return SiteUtils.getCacheEndpoint(cxn.getSite()) != null;
    }

    public CacheSiteConnection createCacheConnection() throws CacheException {
        return new CacheSiteConnection(cxn.getSite());
    }

}
