package gov.va.med.vds.dataservicehandler;

//import gov.hhs.fha.nhinc.adapterdocquery.AdapterDocQuery;
//import gov.hhs.fha.nhinc.adapterdocquery.AdapterDocQueryPortType;
//import gov.hhs.fha.nhinc.adapterdocretrieve.AdapterDocRetrieve;
//import gov.hhs.fha.nhinc.adapterdocretrieve.AdapterDocRetrievePortType;
//import gov.hhs.fha.nhinc.common.nhinccommon.AssertionType;
//import gov.hhs.fha.nhinc.common.nhinccommonadapter.RespondingGatewayCrossGatewayQueryRequestType;
//import gov.hhs.fha.nhinc.common.nhinccommonadapter.RespondingGatewayCrossGatewayRetrieveRequestType;
import gov.hhs.fha.nhinc.common.nhinccommonentity.RespondingGatewayCrossGatewayRetrieveRequestType;
import gov.hhs.fha.nhinc.entitydocretrieve.EntityDocRetrieve;
import gov.hhs.fha.nhinc.entitydocretrieve.EntityDocRetrievePortType;
import gov.va.med.vds.common.NHINHandlerException;
import gov.va.med.vds.vistabeans.QueryBean;
import gov.va.med.vds.vistabeans.VLERDocument;
import ihe.iti.xds_b._2007.RetrieveDocumentSetRequestType;
import ihe.iti.xds_b._2007.RetrieveDocumentSetResponseType;

import java.net.MalformedURLException;
import java.util.List;

import javax.xml.namespace.QName;
import javax.xml.ws.BindingProvider;
import javax.xml.ws.handler.Handler;

/**
 * Created with IntelliJ IDEA.
 * User: melcolm
 * Date: 5/21/14
 * Time: 1:57 PM
 * To change this template use File | Settings | File Templates.
 */
public class AdapterDocRetrievalHandler extends AdapterHandler {
    private EntityDocRetrieve docRetrieveService;

    public AdapterDocRetrievalHandler(String url) {
        super();

        serviceURL = url;
        serviceName = "AdapterDocRetrieve";
        serviceNamespace = "http://adapterdocretrieve.nhinc.fha.hhs.gov";
        qServiceName = new QName(serviceNamespace, serviceName);
    }

//    private EntityDocRetrievePortType getAdapterDocRetrievePort() throws MalformedURLException
//    {
//        return getAdapterDocRetrievePort(false);
//    }

    private EntityDocRetrievePortType getAdapterDocRetrievePort() throws MalformedURLException
    {
        if (docRetrieveService == null) {
            createService();
        }

        EntityDocRetrievePortType port = null;

        port = docRetrieveService.getEntityDocRetrievePortSoap11();

        //set port endpoint address
        BindingProvider prov = (BindingProvider) port;
        prov.getRequestContext().put(BindingProvider.ENDPOINT_ADDRESS_PROPERTY, serviceURL);

        prov.getRequestContext().put("com.sun.xml.internal.ws.connect.timeout", serviceConnectionTimeoutMS);
        prov.getRequestContext().put("com.sun.xml.internal.ws.request.timeout", serviceRequestTimeoutMS);
        prov.getRequestContext().put("com.sun.xml.ws.connect.timeout", serviceConnectionTimeoutMS);
        prov.getRequestContext().put("com.sun.xml.ws.request.timeout", serviceRequestTimeoutMS);

        if ("test".equalsIgnoreCase(APP_CONFIG.getAppEnvironment()) || "development".equalsIgnoreCase(APP_CONFIG.getAppEnvironment())) {
            prov.getBinding().getHandlerChain().add(new SOAPLoggingHandler());
            List<Handler> handlerList = prov.getBinding().getHandlerChain();
            handlerList.add(new SOAPLoggingHandler());
            prov.getBinding().setHandlerChain(handlerList);
        }

        return port;
    }

    private void createService() {
        if (docRetrieveService == null) {
            synchronized (this) {
                try {
                    docRetrieveService = new EntityDocRetrieve();
                } catch (Exception e) {
                    throw new RuntimeException(e);
                }
            }
        }
    }

    public VLERDocument documentRetrieve(VLERDocument vDoc, QueryBean qbean) throws NHINHandlerException {

        //VLERDocument output = new VLERDocument();

        //gov.hhs.fha.nhinc.common.nhinccommonadapter.ObjectFactory factory = new gov.hhs.fha.nhinc.common.nhinccommonadapter.ObjectFactory();
        //RespondingGatewayCrossGatewayRetrieveRequestType request = factory.createRespondingGatewayCrossGatewayRetrieveRequestType();
        RespondingGatewayCrossGatewayRetrieveRequestType request = new RespondingGatewayCrossGatewayRetrieveRequestType();
        RetrieveDocumentSetRequestType srt = new RetrieveDocumentSetRequestType();

        try {
            RetrieveDocumentSetRequestType.DocumentRequest dreq = new RetrieveDocumentSetRequestType.DocumentRequest();

            dreq.setDocumentUniqueId(vDoc.getDocumentUniqueId());
            dreq.setHomeCommunityId(vDoc.getHomeCommunityId());
            dreq.setRepositoryUniqueId(vDoc.getRepositoryUniqueId());
//            dr.setDocumentUniqueId("2.25.89947299830191072405792233189213725368");
//            dr.setHomeCommunityId("urn:oid:2.16.840.1.113883.4.349.1");
//            dr.setRepositoryUniqueId("2.16.840.1.113883.4.349.1.1");

            srt.getDocumentRequest().add(dreq);

            request.setAssertion(generateAssertion(qbean));
            request.setRetrieveDocumentSetRequest(srt);

//            //print test
//            JAXBContext jaxbContext = JAXBContext.newInstance(RespondingGatewayCrossGatewayRetrieveRequestType.class.getPackage().getName());
//            Marshaller jaxbMarshaller = jaxbContext.createMarshaller();
//
//            // for getting nice formatted output
//            jaxbMarshaller.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, Boolean.TRUE);
//            jaxbMarshaller.marshal(new JAXBElement<RespondingGatewayCrossGatewayRetrieveRequestType>(new QName("uri","blahBlah"), RespondingGatewayCrossGatewayRetrieveRequestType.class, request), System.out);
            //jaxbMarshaller.marshal(new JAXBElement<RespondingGatewayCrossGatewayQueryRequestType>(new QName("uri","RespondingGateway_CrossGatewayQueryRequest"), RespondingGatewayCrossGatewayQueryRequestType.class, qrt), System.out);
//
            RetrieveDocumentSetResponseType result =  getAdapterDocRetrievePort().respondingGatewayCrossGatewayRetrieve(request);
            if (result != null && result.getDocumentResponse() != null) {
                RetrieveDocumentSetResponseType.DocumentResponse doc = result.getDocumentResponse().get(0);
                vDoc.setDocument(doc.getDocument());
//                output.setDocumentUniqueId(doc.getDocumentUniqueId());
//                output.setHomeCommunityId(doc.getHomeCommunityId());
//                output.setRepositoryUniqueId(doc.getRepositoryUniqueId());
                vDoc.setMimeType(doc.getMimeType());

//                String s = new String(doc.getDocument(), "UTF8");
//                System.out.print(s);
            }

        } catch (Exception e) {
            throw new NHINHandlerException(e);
        }
        return vDoc;
    }

}
