/*
 * Janus 4.0 (c)
 * Copyright (c) 2012 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.vds.ehr.common.domain;

/**
 * Response code domain object.
 *
 * Class includes a collection of possible EHR response codes with default response description message.
 */
public class ResponseCode {
    //response codes

    public static final ResponseCode SUCCESS = new ResponseCode(1, "Success");
    public static final ResponseCode FAILURE = new ResponseCode(0, "Failure");
    public static final ResponseCode ILLEGAL_ARGUMENTS = new ResponseCode(-1, "Illegal Arguments");


    /** Response integer code. **/
    private Integer code;

    /** Response description message. **/
    private String message;

    public ResponseCode() {
        super();
    }

    public ResponseCode(Integer code, String message) {
        super();
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
