/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.patient.dao;

import com.intersys.objects.CacheException;
import gov.va.med.rpc.RPCConnection;
import gov.va.med.rpc.RPCException;
import gov.va.med.vds.base.dao.DaoBase;
import gov.va.med.vds.patient.dao.rpc.ClinicalRemindersRPC;
import gov.va.med.vds.vistabeans.ClinicalReminder;
import gov.va.med.vds.vistabeans.FreeTextReport;
import gov.va.med.vds.vistabeans.QueryBean;

/**
 *
 *
 */
public class ClinicalRemindersDao extends DaoBase {
    public ClinicalRemindersDao(RPCConnection cxn) {
        super(cxn);
    }

    public ClinicalReminder[] getPatientClinicalReminders(QueryBean queryBean) throws CacheException, RPCException {

        ClinicalRemindersRPC rpc = new ClinicalRemindersRPC(cxn);
//        return rpc.getClinicalRemindersVPR();
        return rpc.getClinicalReminders();
    }

    public FreeTextReport getClinicalReminderDetail(QueryBean queryBean) throws CacheException, RPCException {

        ClinicalRemindersRPC rpc = new ClinicalRemindersRPC(cxn);
        return rpc.getClinicalReminderDetail(queryBean.getItemId());
    }
}
