/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.vds.provider.dao;

import com.intersys.objects.CacheException;
import gov.va.med.rpc.RPCConnection;
import gov.va.med.rpc.RPCException;
import gov.va.med.vds.base.dao.DaoBase;
import gov.va.med.vds.base.dao.UnsupportedRPCMethodException;
import gov.va.med.vds.provider.dao.cache.CacheSiteConnection;
import gov.va.med.vds.provider.dao.cache.NoteCache;
import gov.va.med.vds.vistabeans.ProgressNote;
import gov.va.med.vds.vistabeans.QueryBean;

public class NoteDao extends DaoBase {
    public NoteDao(RPCConnection cxn) {
        super(cxn);
    }

    public ProgressNote[] getProviderUnsignedNotes(QueryBean queryBean) throws UnsupportedRPCMethodException, CacheException, RPCException {
        if (isCacheObjectSite()) {
            CacheSiteConnection cacheConnection = createCacheConnection();

            NoteCache cache = new NoteCache(cacheConnection);
            ProgressNote[] unsignedNotes = cache.getProviderUnsignedNotes(queryBean);

            if (unsignedNotes == null) {
                unsignedNotes = new ProgressNote[0];
            }

            return unsignedNotes;
        } else {
            throw new UnsupportedRPCMethodException("No supported RPC method");
        }
    }
}
