/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.vds.provider.dao.cache;

import com.intersys.objects.CacheException;
import gov.va.med.vds.common.CacheHandlerException;
import gov.va.med.vds.provider.dao.cache.handler.LabHandler;
import gov.va.med.vds.vistabeans.LabResult;
import gov.va.med.vds.vistabeans.QueryBean;
import gov.va.med.DNS   .common.Utils;

public class LabCache extends CacheBase {
    public LabCache(CacheSiteConnection cacheConnection) {
        super(cacheConnection);
    }

    public LabResult[] getAbnormalResults(QueryBean queryBean) throws CacheException {
        LabResult[] labResults = null;
        String startDate = null;
        String endDate = null;
        
        if (queryBean.getEndDate() != null) {
            endDate = Utils.formatDate(queryBean.getEndDate().getTime());
        }
        if (queryBean.getStartDate() != null) {
            startDate = Utils.formatDate(queryBean.getStartDate().getTime());
        }
        
        cacheConnection.open();

        try {
            LabHandler handler = new LabHandler(cacheConnection.getDatabase(),
                    cacheConnection.getSite(), queryBean.getUser().getUserIen(), queryBean.getUser().getHostSite().getSiteCode());
            labResults = handler.processAbnormalResults(queryBean.getUser().getUserIen(), queryBean.getUser().getNPI(), startDate, endDate);
        } catch (CacheHandlerException e) {
            throw new CacheException(e);
        } finally {
            cacheConnection.close();
        }

        return labResults;
    }
}
