/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.vds.provider.dao.cache;

import com.intersys.objects.CacheException;
import gov.va.med.vds.common.CacheHandlerException;
import gov.va.med.vds.provider.dao.cache.handler.NoteHandler;
import gov.va.med.vds.vistabeans.ProgressNote;
import gov.va.med.vds.vistabeans.QueryBean;

public class NoteCache extends CacheBase {
    public NoteCache(CacheSiteConnection cacheConnection) {
        super(cacheConnection);
    }

    public ProgressNote[] getProviderUnsignedNotes(QueryBean queryBean) throws CacheException {
        ProgressNote[] unsignedNotes = null;
        String userIen = queryBean.getUser().getUserIen();
        cacheConnection.open();

        try {
            NoteHandler handler = new NoteHandler(cacheConnection.getDatabase(),
                    cacheConnection.getSite(), userIen, queryBean.getUser().getHostSite().getSiteCode());
            unsignedNotes = handler.processProviderUnsignedNotes(userIen, queryBean.getUser().getNPI());

        } catch (CacheHandlerException e) {
            throw new CacheException(e);
        } finally {
            cacheConnection.close();
        }

        return unsignedNotes;
    }
}
