/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.vds.provider.dao.cache.model;

import gov.va.med.vds.vistabeans.PatientAppointments;
import gov.va.med.vds.vistabeans.Site;
import gov.va.med.DNS   .common.Utils;

import java.sql.ResultSet;
import java.util.ArrayList;

public class AppointmentData extends ModelData {
    public static final int PATIENT_ID = 0;
    public static final int PATIENT_NAME = 1;
    public static final int CLINIC_NAME = 2;
    public static final int APPOINTMENT_DATETIME = 3;
    public static final int APPOINTMENT_ID = 4;
    public static final int APPOINTMENT_STATUS = 5;
    public static final int APPOINTMENT_TYPE = 6;
    public static final int APPOINTMENT_REASON = 7;
    
    public AppointmentData(Site site, ResultSet table) {
        super(site, table);
    }

    public PatientAppointments[] getAppointments() {
        PatientAppointments[] appointments = null;

        ArrayList<PatientAppointments> temp = new ArrayList<PatientAppointments>();
        DataModelIterator iter = new DataModelIterator(this);

        int totalRows = 0;
        String patientId = "";
        String patientName = "";
        String clinicName = "";
        String appointmentDateTime = "";
        String appointmentId = "";
        String appointmentStatus = "";
        String appointmentType = "";
        String appointmentReason = "";

        while (iter.hasNext()) {
            patientId = iter.getItem(PATIENT_ID);
            patientName = iter.getItem(PATIENT_NAME);
            clinicName = iter.getItem(CLINIC_NAME);
            appointmentDateTime = iter.getItem(APPOINTMENT_DATETIME);
            appointmentId = iter.getItem(APPOINTMENT_ID);
            appointmentStatus = iter.getItem(APPOINTMENT_STATUS);
            appointmentType = iter.getItem(APPOINTMENT_TYPE);
            appointmentReason = iter.getItem(APPOINTMENT_REASON);

            PatientAppointments appointment = new PatientAppointments();
            appointment.setPatientName(patientName);
            appointment.setClinic(clinicName);
            appointment.setApptDate(Utils.getCalFromSQLFormat(appointmentDateTime));
            appointment.setApptId(appointmentId);
            appointment.setStatus(appointmentStatus);
            appointment.setApptType(appointmentType);
            appointment.setReason(appointmentReason);
            appointment.setPatientId(patientId);

            fillCommonDataBeanValues(appointment);

            temp.add(appointment);
            totalRows++;
        }

        if (totalRows > 0) {
            appointments = temp.toArray(new PatientAppointments[0]);
        }

        return appointments;
    }
}