/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.vds.provider.dao.cache.model;

import gov.va.med.vds.vistabeans.LabResult;
import gov.va.med.vds.vistabeans.Site;
import gov.va.med.DNS   .common.Utils;

import java.sql.ResultSet;
import java.util.ArrayList;

public class LabData extends ModelData {
    
    public LabData(Site site, ResultSet table) {
        super(site, table);
    }

    public LabResult[] getAbnormalResults() {
        final int ORDER_ID = 0;
        final int ORDER_DATE = 1;
        final int COMPLETED_DATE = 2;
        final int ORDER_DESCRIPTION = 3;
        final int ORDER_RESULTS = 4;
        final int PATIENT_ID = 5;
        final int PATIENT_NAME = 6;

        LabResult[] labResults = null;

        ArrayList<LabResult> temp = new ArrayList<LabResult>();
        DataModelIterator iter = new DataModelIterator(this);

        int totalRows = 0;
        String orderId = "";
        String orderDate = "";
        String completedDate = "";
        String orderDescription = "";
        String orderResults = "";
        String patientId = "";
        String patientName = "";

        while (iter.hasNext()) {
            orderId = iter.getItem(ORDER_ID);
            orderDate = iter.getItem(ORDER_DATE);
            completedDate = iter.getItem(COMPLETED_DATE);
            orderDescription = iter.getItem(ORDER_DESCRIPTION);
            orderResults = iter.getItem(ORDER_RESULTS);
            patientId = iter.getItem(PATIENT_ID);
            patientName = iter.getItem(PATIENT_NAME);

            LabResult labResult = new LabResult();
            labResult.setOrderId(orderId);
            labResult.setOrderDate(Utils.getCalFromSQLFormat(orderDate));
            labResult.setResultDate(Utils.getCalFromSQLFormat(completedDate));
            labResult.setTestName(orderDescription);
            labResult.setResult(orderResults);
            labResult.setPatientName(patientName);
            labResult.setPatientId(patientId);
            fillCommonDataBeanValues(labResult);

            temp.add(labResult);
            totalRows++;
        }

        if (totalRows > 0) {
            labResults = temp.toArray(new LabResult[0]);
        }

        return labResults;
    }

}
