/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.vds.provider.dao.cache.model;

import gov.va.med.vds.vistabeans.Order;
import gov.va.med.vds.vistabeans.Site;
import gov.va.med.DNS   .common.Utils;

import java.sql.ResultSet;
import java.util.ArrayList;

public class OrderData extends ModelData {
    /*public static final int ORDER_ID = 0;
    public static final int ORDER_DATE = 1;
    public static final int ORDER_DESCRIPTION = 2;
    public static final int ORDER_TYPE = 3;
    public static final int ORDER_STATUS = 4;
    public static final int PATIENT_IEN = 5;
    public static final int PATIENT_NAME = 6;*/
    
    public OrderData(Site site, ResultSet table) {
        super(site, table);
    }

    public Order[] getOrdersPending() {
        final int ORDER_ID = 0;
        final int ORDER_DATE = 1;
        final int ORDER_DESCRIPTION = 2;
        final int ORDER_TYPE = 3;
        final int ORDER_STATUS = 4;
        final int PATIENT_IEN = 5;
        final int PATIENT_NAME = 6;

        Order[] orders = null;

        ArrayList<Order> temp = new ArrayList<Order>();
        DataModelIterator iter = new DataModelIterator(this);

        int totalRows = 0;
        String orderId = "";
        String orderDate = "";
        String orderDescription = "";
        String orderType = "";
        String orderStatus = "";
        String patientId = "";
        String patientName = "";

        while (iter.hasNext()) {
            orderId = iter.getItem(ORDER_ID);
            orderDate = iter.getItem(ORDER_DATE);
            orderDescription = iter.getItem(ORDER_DESCRIPTION);
            orderType = iter.getItem(ORDER_TYPE);
            orderStatus = iter.getItem(ORDER_STATUS);
            patientId = iter.getItem(PATIENT_IEN);
            patientName = iter.getItem(PATIENT_NAME);

            Order order = new Order();
            order.setOrderid(orderId);
            order.setOrderDate(Utils.getCalFromSQLFormat(orderDate));
            order.setDescription(orderDescription);
            order.setType(orderType);
            order.setStatus(orderStatus);
            order.setPatientName(patientName);
            order.setPatientId(patientId);
            fillCommonDataBeanValues(order);

            temp.add(order);
            totalRows++;
        }

        if (totalRows > 0) {
            orders = temp.toArray(new Order[0]);
        }

        return orders;
    }

    public Order[] getOrdersResulted() {
        final int ORDER_ID = 0;
        final int ORDER_DATE = 1;
        final int COMPLETED_DATE = 2;
        final int ORDER_DESCRIPTION = 3;
        final int ORDER_TYPE = 4;
        final int ORDER_STATUS = 5;
        final int ORDER_RESULT = 6;
        final int PATIENT_IEN = 7;
        final int PATIENT_NAME = 8;

        Order[] orders = null;

        ArrayList<Order> temp = new ArrayList<Order>();
        DataModelIterator iter = new DataModelIterator(this);

        int totalRows = 0;
        String orderId = "";
        String orderDate = "";
        String completedDate = "";
        String orderDescription = "";
        String orderType = "";
        String orderStatus = "";
        String orderResult = "";
        String patientId = "";
        String patientName = "";

        while (iter.hasNext()) {
            orderId = iter.getItem(ORDER_ID);
            orderDate = iter.getItem(ORDER_DATE);
            completedDate = iter.getItem(COMPLETED_DATE);
            orderDescription = iter.getItem(ORDER_DESCRIPTION);
            orderType = iter.getItem(ORDER_TYPE);
            orderStatus = iter.getItem(ORDER_STATUS);
            orderResult = iter.getItem(ORDER_RESULT);
            patientId = iter.getItem(PATIENT_IEN);
            patientName = iter.getItem(PATIENT_NAME);

            Order order = new Order();
            order.setOrderid(orderId);
            order.setOrderDate(Utils.getCalFromSQLFormat(orderDate));
            order.setCompletedDate(Utils.getCalFromSQLFormat(completedDate));
            order.setDescription(orderDescription);
            order.setType(orderType);
            order.setStatus(orderStatus);
            order.setOrderResult(orderResult);
            order.setPatientName(patientName);
            order.setPatientId(patientId);
            fillCommonDataBeanValues(order);

            temp.add(order);
            totalRows++;
        }

        if (totalRows > 0) {
            orders = temp.toArray(new Order[0]);
        }

        return orders;
    }

    public Order getOrderDetails() {
        final int ORDER_ID = 0;
        final int ORDER_DETAILS = 1;

        Order order = null;

        String orderId = "";
        String orderDetails = "";

        DataModelIterator iter = new DataModelIterator(this);

        if (iter.hasNext()) {
            orderId = iter.getItem(ORDER_ID);
            orderDetails = iter.getItem(ORDER_DETAILS);

            order = new Order();
            order.setOrderid(orderId);
            order.setOrderDetail(orderDetails);

            fillCommonDataBeanValues(order);
        }

        return order;
    }

}