/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.vds.provider.dao.cache.model;

import gov.va.med.vds.vistabeans.Site;
import gov.va.med.vds.vistabeans.Procedure;
import gov.va.med.DNS   .common.Utils;

import java.sql.ResultSet;
import java.util.ArrayList;

public class ProceduresData extends ModelData {
    public static final int DATE = 0;
    public static final int CODE = 1;
    public static final int DESCRIPTION = 2;
    public static final int STATUS = 3;

    public ProceduresData(Site site, ResultSet table) {
        super(site, table);
    }    
  
    
    public Procedure[] getProcedures(String visitId) {
        Procedure[] procs = null;
    
     
        ArrayList<Procedure> temp = new ArrayList<Procedure>();
        DataModelIterator iter = new DataModelIterator(this);
    
        int totalRows = 0;
        String code = "";
        String description = "";
        String status = "";
        String date = "";
    
        while (iter.hasNext()) {

            date = iter.getItem(ProceduresData.DATE);
            code = iter.getItem(ProceduresData.CODE);
            description = iter.getItem(ProceduresData.DESCRIPTION);
            status = iter.getItem(ProceduresData.STATUS);
            if ("0".equals(status)) { 
                status = "OUT";
            }
            if ("1".equals(status)) { 
                status = "IN";
            }
            if (code.length() > 0) {
                Procedure proc = new Procedure();
                proc.setCode(code);
                proc.setDescription(description);
                proc.setStatus(status);
                proc.setDate(Utils.getCalFromSQLFormat(date));
              
                temp.add(proc);
                totalRows++;
            }
            int value = ProceduresData.STATUS;
            int end = this.getColumns() - value;
            for (int i = 0; i < end; i++) {
                value++;
                code = iter.getItem(value);
                value++;
                description = iter.getItem(value);
              
                if (code.length() > 0 && (description.length() > 0)) {
                    Procedure proc = new Procedure();
                    proc.setCode(code);
                    proc.setDescription(description);
                    proc.setStatus(status);
          
          
                    temp.add(proc);
                    totalRows++;
                }
            }
            if (totalRows > 0) {
                procs = temp.toArray(new Procedure[0]);
                for (Procedure procedure : procs) {
                    fillCommonDataBeanValues(procedure);
                }
            }
        } 
        return procs;
    }
    
    public String getProcedures() {
        StringBuilder retStringSB = new StringBuilder();
        DataModelIterator iter = new DataModelIterator(this);
        String code = "";
        while (iter.hasNext()) {
            code = iter.getItem(ProceduresData.CODE);
            if (retStringSB.length() > 0) {
                retStringSB.append(",");
            }
            retStringSB.append(code);
        }
        return retStringSB.toString();
    }
}
