/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.vds.provider.dao.cache.model;

import gov.va.med.vds.vistabeans.Site;
import gov.va.med.vds.vistabeans.ProviderAppointmentBean;

import java.sql.ResultSet;
import java.util.ArrayList;

public class ProviderAppointmentData extends ModelData {
    public static final int DATE = 0;
    public static final int CLINIC = 1;
    public static final int STATUS = 2;
    public static final int TYPE = 3;
    public static final int PATIENT_ID = 4;
    public static final int PATIENT_NAME = 5;
    public static final int SSN = 7;
    public static final int DOB = 6;
    public static final int REASON = 8;
    public static final int ENCOUNTER_ID = 9;
     
    

    public ProviderAppointmentData(Site site, ResultSet table) {
        super(site, table);
    }

    public ProviderAppointmentBean[] getProviderAppointment() {
        ProviderAppointmentBean[] appts = null;

        ArrayList<ProviderAppointmentBean> temp = new ArrayList<ProviderAppointmentBean>();
        gov.va.med.vds.provider.dao.cache.model.DataModelIterator iter = new DataModelIterator(this);
        
        int totalRows = 0;
        String DATE = "";
        String CLINIC = "";
//            String STATUS = "";
        String TYPE = "";
        String PATIENT_ID = "";
        String PATIENT_NAME = "";
        String SSN = "";
        String DOB = "";
        String REASON = "";
        String ENCOUNTER_ID = "";
      
        while (iter.hasNext()) {

            
            CLINIC = iter.getItem(ProviderAppointmentData.CLINIC);
            ENCOUNTER_ID = iter.getItem(ProviderAppointmentData.ENCOUNTER_ID);
            DATE = iter.getItem(ProviderAppointmentData.DATE);
//          STATUS = iter.getItem(ProviderAppointmentData.STATUS);
            TYPE = iter.getItem(ProviderAppointmentData.TYPE);
            REASON = iter.getItem(ProviderAppointmentData.REASON);
            PATIENT_ID = iter.getItem(ProviderAppointmentData.PATIENT_ID);
            PATIENT_NAME = iter.getItem(ProviderAppointmentData.PATIENT_NAME);
            DOB = iter.getItem(ProviderAppointmentData.DOB);
            SSN = iter.getItem(ProviderAppointmentData.SSN);
              
  
            ProviderAppointmentBean appt = new ProviderAppointmentBean();
         
            appt.setApptDate(DATE);
            appt.setApptReason(REASON);
            appt.setApptType(TYPE);
            appt.setClinicName(CLINIC);
            appt.setPatientId(PATIENT_ID);
            appt.setPatientName(PATIENT_NAME);
            appt.setPatDOB(DOB);
            appt.setPatSSN(SSN);
            appt.setEncounterId(ENCOUNTER_ID);

          
            temp.add(appt);
            totalRows++;

        }
        if (totalRows > 0) {
            appts = temp.toArray(new ProviderAppointmentBean[0]);
        
        }
        
        return appts;
        
    }
      
}
