/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.vistabeans;

import java.util.Calendar;

public class Order extends DataBean {
    private String orderid;
    private String description;
    private String type;
    private Provider orderingProvider;
    private String status;
    private String orderDetail;
    private Calendar orderDate;
    private Calendar enteredDate;
    private Calendar completedDate;
    private String orderResult;
    private String priority;

    public String getOrderid() {
        return orderid;
    }

    public void setOrderid(String newOrderid) {
        orderid = newOrderid;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String newDescription) {
        description = newDescription;
    }

    public String getType() {
        return type;
    }

    public void setType(String newType) {
        type = newType;
    }

    public Provider getOrderingProvider() {
        return orderingProvider;
    }

    public void setOrderingProvider(Provider orderingProvider) {
        this.orderingProvider = orderingProvider;
    }

    /**
     * Sets the Ordering provider name. If the Provider has not yet been set, creates a new Provider.
     * Only the name will be set
     *
     * @param provider The Provider's name
     */
    public void setOrderingProvider(String provider) {
        this.orderingProvider = new Provider();
        this.orderingProvider.setName(provider);
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String newStatus) {
        status = newStatus;
    }

    public String getOrderDetail() {
        return orderDetail;
    }

    public void setOrderDetail(String orderDetail) {
        this.orderDetail = orderDetail;
    }

    public Calendar getCompletedDate() {
        return completedDate;
    }

    public void setCompletedDate(Calendar completedDate) {
        this.completedDate = completedDate;
    }

    public String getOrderResult() {
        return orderResult;
    }

    public void setOrderResult(String orderResult) {
        this.orderResult = orderResult;
    }

    public Calendar getOrderDate() {
        return orderDate;
    }

    public void setOrderDate(Calendar orderDate) {
        this.orderDate = orderDate;
    }

    public Calendar getEnteredDate() {
        return enteredDate;
    }

    public void setEnteredDate(Calendar enteredDate) {
        this.enteredDate = enteredDate;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }
}