/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.vistabeans;

/**
 * This class represents Outpatient Prescriptions.
 */
public class Prescription extends Medication {
    /**
     * Array of PrescriptionFill objects which is populated when requesting details
     * of an outpatient prescription.
     */
    private PrescriptionFill[] prescriptionFills;

    public Prescription() {
        prescriptionFills = null;
    }


    /**
     * Fills associated with a prescription.  Only populated when requesting details of
     * a prescription.
     */
    public PrescriptionFill[] getPrescriptionFills() {
        PrescriptionFill[] rtc = null;
        if (prescriptionFills != null) {
            rtc = prescriptionFills.clone();
        }
        return rtc;
    }

    public void setPrescriptionFills(PrescriptionFill[] newPrescriptionFill) {
        if (newPrescriptionFill == null) {
            this.prescriptionFills = null;
        } else {
            this.prescriptionFills = newPrescriptionFill.clone();
        }
    }


}