/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.vistabeans;

import java.util.Calendar;

/**
 *
 */
public class QueryBean {

    private User user;
    private Patient patient;
    private String sortBy;

    private Site recordSite;

    private String requestingApp;

    /**
     * Set to 1 if requesting only active data (appointments, prescriptions, clinical
     * reminders)
     */
    private Integer active;
    /**
     * End date for the query.
     */
    private Calendar endDate;
    /**
     * Start date for the query.
     */
    private Calendar startDate;
    /**
     * Maximum number of items to return.  This is usually a required attribute when
     * the return is an array of items.
     */
    private Integer max;

    /**
     * Status of data being requested.  This could be Inpatient vs outpatient (procedures,
     * prescriptions/medications)
     */
    private String status;

    /**
     * This is the internal is of the data item when detailed informations is being
     * requested.
     */
    private String itemId;

    public Patient getPatient() {
        return patient;
    }

    public void setPatient(Patient patient) {
        this.patient = patient;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public String getSortBy() {
        return sortBy;
    }

    public void setSortBy(String sortBy) {
        this.sortBy = sortBy;
    }

    public Integer getActive() {
        return active;
    }

    public void setActive(Integer active) {
        this.active = active;
    }

    public Calendar getEndDate() {
        return endDate;
    }

    public void setEndDate(Calendar endDate) {
        this.endDate = endDate;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public Integer getMax() {
        return max;
    }

    public void setMax(Integer max) {
        this.max = max;
    }

    public Calendar getStartDate() {
        return startDate;
    }

    public void setStartDate(Calendar startDate) {
        this.startDate = startDate;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Site getRecordSite() {
        return recordSite;
    }

    public void setRecordSite(Site recordSite) {
        this.recordSite = recordSite;
    }

    public String getRequestingApp() {
        return requestingApp;
    }

    public void setRequestingApp(String requestingApp) {
        this.requestingApp = requestingApp;
    }
}
