/*
 * Janus 4.0 (c)
 * Copyright (c) 2013 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.vds.vistabeans;

import java.util.List;

public class Site {
    private Integer id;
    private String moniker;
    private String name;
    private String agency;
    private String siteCode;
    private Region region;
    private String status;
    private String container;

    /** DMIS id associated with site. Used temporarily until DMIS ID can be retrieved upon DoD user login. **/
    private String dmisId;
    private List<Endpoint> endpoints;

    /** Site permissions (medweb, medweb_plugin, etc.) **/
    private List<JanusPermission> permissions;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMoniker() {
        return moniker;
    }

    public void setMoniker(String moniker) {
        this.moniker = moniker;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAgency() {
        return agency;
    }

    public void setAgency(String agency) {
        this.agency = agency;
    }

    public String getSiteCode() {
        return siteCode;
    }

    public void setSiteCode(String siteCode) {
        this.siteCode = siteCode;
    }

    public Region getRegion() {
        return region;
    }

    public void setRegion(Region region) {
        this.region = region;
    }

    public List<Endpoint> getEndpoints() {
        return endpoints;
    }

    public void setEndpoints(List<Endpoint> endpoints) {
        this.endpoints = endpoints;
    }

    public String getDmisId() {
        return dmisId;
    }

    public void setDmisId(String dmisId) {
        this.dmisId = dmisId;
    }

    public List<JanusPermission> getPermissions() {
        return permissions;
    }

    public void setPermissions(List<JanusPermission> permissions) {
        this.permissions = permissions;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getContainer() {
        return container;
    }

    public void setContainer(String container) {
        this.container = container;
    }

}
