/*
 * Janus 4.0 (c)
 * Copyright (c) 2015 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.rpc;

import org.junit.Test;
import static org.junit.Assert.*;

/**
 * Created by sishii on 7/8/15.
 */
public class TimestampTest {
    @Test
    public void testGetJulianCYYMMDD() {
        // test VALID_JULIAN_DATE_NO_TIME
        assertTrue(VALID_JULIAN_DATE_NO_TIME.equals(Timestamp.getJulianCYYMMDD(VALID_JULIAN_DATE_NO_TIME)));
        // test for valid Julian time with seconds returns only date
        assertTrue(VALID_JULIAN_DATE_NO_TIME.equals(Timestamp.getJulianCYYMMDD(VALID_JULIAN_DATE_NO_TIME + ".123103")));
        // test bad Julian returns null
        assertTrue(Timestamp.getJulianCYYMMDD("0101") == null);
        assertTrue(Timestamp.getJulianCYYMMDD("0001301") == null);
        assertTrue(Timestamp.getJulianCYYMMDD("0001232") == null);
        assertTrue(Timestamp.getJulianCYYMMDD("a" + VALID_JULIAN_DATE_NO_TIME) == null);

    }

    private static final String VALID_JULIAN_DATE_NO_TIME = "2990131";
}
