/*
 * Janus 4.0 (c)
 * Copyright (c) 2014 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */
 
 
package gov.va.med.vds.dataservice.patient;

import gov.va.med.nhin.adapter.announcepatient.AnnouncePatientResponseType;
import gov.va.med.vds.patient.dao.VLERDao;
import gov.va.med.vds.vistabeans.*;
import org.hl7.v3.RespondingGatewayPRPAIN201306UV02ResponseType;
import org.junit.Test;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.Marshaller;
import javax.xml.namespace.QName;
import java.util.List;

import static org.junit.Assert.*;

/**
 *
 *
 */
public class VLERDataServiceTest //extends DataServiceBaseTest
{
    @Test
    public void testQueryVLERDocs()
    {
        try
        {

            QueryBean queryBean = new QueryBean();
            Site site = new Site();
            site.setAgency("VA");
            site.setName("DAYTSHR,MARTSQA");
            site.setSiteCode("459TEST");

            User user = new User();
            user.setName("Tester,Test") ;
            user.setAgency("VA")  ;
            user.setUserId("21");
            user.setHostSite(site);

            Patient patient = new Patient();
//            //test patient - NHINONE  - seventeen docs
//            patient.setDob("1/1/1981");
//            patient.setSSN("666100001");
//            patient.setICN("1012638924V546709");
//            patient.setGender("M");
//            patient.setName("NWHINZZZTESTPATIENT,NWHINONE");

            //test patient - CHDRONE  - one
//            patient.setDob("3/3/1960");
//            patient.setSSN("666000001");
//            patient.setICN("1012581676V377802");
//            patient.setGender("M");
//            patient.setName("CHDRZZZTESTPATIENT,CHDRONE");

            patient.setDob("3/3/1960");
            patient.setSSN("666000001");
            patient.setICN("1012740031V036697");
            patient.setGender("M");
            patient.setName("CHDRZZZTESTPATIENT,CHDRONE");

            //test patient - NWHINTWO  - thirteen docs
//            patient.setDob("1/2/1982");
//            patient.setSSN("666100002");
//            patient.setICN("1012638925V204624");
//            patient.setGender("M");
//            patient.setName("NWHINZZZTESTPATIENT,NWHINTWO");

            // test patient -NWHINFIVE       - none
//            patient.setDob("1/5/1985");
//            patient.setSSN("666100005");
//            patient.setICN("1012638930V402752");
//            patient.setGender("F");
//            patient.setName("NWHINZZZTESTPATIENT,NWHINFIVE");

            queryBean.setUser(user);
            queryBean.setRecordSite(user.getHostSite());
            queryBean.setItemId(patient.getName());
            queryBean.setPatient(patient);

            VLERDao vd = new VLERDao();
//test doc query
            List<VLERDocument> vdocs = vd.getVLERDocumentList(queryBean);


            assertTrue(!vdocs.isEmpty());
        }
        catch(Exception ex)
        {
            fail(ex.getMessage());
        }
    }


    @Test
    public void testRetrieveVLERDoc()
    {
        try
        {

            QueryBean queryBean = new QueryBean();
            Site site = new Site();
            site.setAgency("VA");
            site.setName("DAYTSHR,MARTSQA");
            site.setSiteCode("459TEST");

            User user = new User();
            user.setName("Tester,Test") ;
            user.setAgency("VA")  ;
            user.setUserId("21");
            user.setHostSite(site);

            Patient patient = new Patient();
//            patient.setDob("1/1/1981");
//            patient.setSSN("666100001");
//            patient.setICN("1012638924V546709");
//            patient.setGender("M");
//            patient.setName("NWHINZZZTESTPATIENT,NWHINONE");

            patient.setDob("1/2/1982");
            patient.setSSN("666100002");
            patient.setICN("1012638925V204624");
            patient.setGender("M");
            patient.setName("NWHINZZZTESTPATIENT,NWHINTWO");

            queryBean.setUser(user);
            queryBean.setRecordSite(user.getHostSite());
            queryBean.setItemId(patient.getName());
            queryBean.setPatient(patient);

            VLERDao vd = new VLERDao();
////test doc query
//            List<VLERDocument> vdocs = vd.getVLERDocumentList(queryBean);

//test doc retrieve
            VLERDocument vdoc = new VLERDocument();
//            vdoc.setDocumentUniqueId("2.25.89947299830191072405792233189213725368");
//            vdoc.setRepositoryUniqueId("2.16.840.1.113883.4.349.1.1");
//            vdoc.setHomeCommunityId("urn:oid:2.16.840.1.113883.4.349.1");
            vdoc.setDocumentUniqueId("4f387b3b-91bd-4dd0-a844-4340770b9305");
            vdoc.setRepositoryUniqueId("1.2.840.114350.1.13.111.3.7.2.688879");
            vdoc.setHomeCommunityId("urn:oid:1.3.6.1.4.1.26580.20");
            VLERDocument output = vd.getVLERDocument(vdoc, queryBean);

            assertTrue(!output.getName().isEmpty());
        }
        catch(Exception ex)
        {
            fail(ex.getMessage());
        }
    }

}
