/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.vds.rpc;

import gov.va.med.rpc.RPCConnection;
import gov.va.med.rpc.RPCException;
import gov.va.med.vds.patient.dao.rpc.ImmunizationsRPC;
import gov.va.med.vds.provider.dao.rpc.UserRPC;
import gov.va.med.vds.vistabeans.Immunization;
import org.junit.Test;

import java.util.Calendar;

import static org.junit.Assert.assertTrue;
/**
 *
 *
 */
public class ImmunizationsRPCTest extends BaseRPCTest
{
    @Test
    public void testGetImmunizationList() throws RPCException
    {
        ImmunizationsRPC immunizationRPC = new ImmunizationsRPC(vistaCxn);
        Immunization[] immunizations = immunizationRPC.getImmunizationList(patientId);
        assertTrue(immunizations.length > 0);
    }

    @Test
    public void testGetImmunizationsVPR() throws RPCException
    {
        RPCConnection cxn = new RPCConnection(vistaCxn.getSite());
        cxn.connect();
        UserRPC userRPC = new UserRPC(cxn);
        userRPC.visit(user, "VPR APPLICATION PROXY", true);

        ImmunizationsRPC immsVPRRPC = new ImmunizationsRPC(cxn);

        Calendar endDate = Calendar.getInstance();
        Calendar startDate = Calendar.getInstance();
        startDate.add(Calendar.YEAR, -200);
        Immunization[] immunizations = immsVPRRPC.getImmunizationsVPR(patientId, startDate, endDate);

        assertTrue(immunizations.length > 0);
    }
}
