/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.vds.rpc;

import gov.va.med.rpc.RPCConnection;
import gov.va.med.rpc.RPCException;
import gov.va.med.vds.patient.dao.rpc.ProblemsRPC;
import gov.va.med.vds.provider.dao.rpc.UserRPC;
import gov.va.med.vds.vistabeans.Problem;
import org.junit.Test;

import java.util.Calendar;

import static org.junit.Assert.assertTrue;

/**
 *
 *
 */
public class ProblemsRPCTest extends BaseRPCTest
{

    @Test
    public void testGetProblemList() throws RPCException
    {
        ProblemsRPC problemRPC = new ProblemsRPC(vistaCxn);
        Problem[] problems = problemRPC.getProblemList(patientId, "ALL");
        assertTrue(problems.length > 0);
    }

    @Test
    public void testGetProblemsVPR() throws RPCException
    {
        RPCConnection cxn = new RPCConnection(vistaCxn.getSite());
        cxn.connect();
        UserRPC userRPC = new UserRPC(cxn);
        userRPC.visit(user, "VPR APPLICATION PROXY", true);

        ProblemsRPC problemsVPRRPC = new ProblemsRPC(cxn);

        Calendar endDate = Calendar.getInstance();
        Calendar startDate = Calendar.getInstance();
        startDate.add(Calendar.YEAR, -5);
        Problem[] problems = problemsVPRRPC.getProblemsVPR(patientId, startDate, endDate);

        assertTrue(problems.length > 0);
    }
}
