/*
 * Janus 4.0 (c)
 * Copyright (c) 2015 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.jmeadows.dao.beans;

import gov.va.med.bhie.DocumentInfoV4;
import gov.va.med.bhie.NarrativeV4;
import gov.va.med.bhie.SiteStatusV4;
import gov.va.med.vds.webservice.Allergy;
import gov.va.med.vds.webservice.DataBean;
import gov.va.med.vds.webservice.Encounter;
import gov.va.med.vds.webservice.Immunization;
import gov.va.med.vds.webservice.InsuranceBean;
import gov.va.med.vds.webservice.LabResult;
import gov.va.med.vds.webservice.Medication;
import gov.va.med.vds.webservice.PatientDemographics;
import gov.va.med.vds.webservice.Problem;
import gov.va.med.vds.webservice.Procedure;
import gov.va.med.vds.webservice.Vitals;

import java.util.List;

/**
 * Created by melcolm on 5/5/15.
 */
public class VLERCCDA extends DataBean {
    /**
     * Class UID.
     */
    private static final long serialVersionUID = 7921924622211082930L;

    private List<String> errorList;
    private List<SiteStatusV4> statusList;
    private List<PatientDemographics> demographics;
    private List<Allergy> allergies;
    private List<Immunization> immunizations;
    private List<Medication> medications;
    private List<LabResult> results;
    private List<Problem> problems;
    private List<Procedure> procedures;
    private List<Vitals> vitals;
    private List<Encounter> encounters;
    private List<InsuranceBean> payers;
    private List<NarrativeV4> narratives;
    private List<DocumentInfoV4> documentInfo;
    private String queryComplete;

    public String getQueryComplete() {
        return queryComplete;
    }

    public void setQueryComplete(String queryComplete) {
        this.queryComplete = queryComplete;
    }

    public List<String> getErrorList() {
        return errorList;
    }

    public void setErrorList(List<String> errorList) {
        this.errorList = errorList;
    }

    public List<SiteStatusV4> getStatusList() {
        return statusList;
    }

    public void setStatusList(List<SiteStatusV4> statusList) {
        this.statusList = statusList;
    }

    public List<Allergy> getAllergies() {
        return allergies;
    }

    public void setAllergies(List<Allergy> allergies) {
        this.allergies = allergies;
    }

    public List<Immunization> getImmunizations() {
        return immunizations;
    }

    public void setImmunizations(List<Immunization> immunizations) {
        this.immunizations = immunizations;
    }

    public List<Medication> getMedications() {
        return medications;
    }

    public void setMedications(List<Medication> medications) {
        this.medications = medications;
    }

    public List<LabResult> getResults() {
        return results;
    }

    public void setResults(List<LabResult> results) {
        this.results = results;
    }

    public List<Problem> getProblems() {
        return problems;
    }

    public void setProblems(List<Problem> problems) {
        this.problems = problems;
    }

    public List<Procedure> getProcedures() {
        return procedures;
    }

    public void setProcedures(List<Procedure> procedures) {
        this.procedures = procedures;
    }

    public List<Vitals> getVitals() {
        return vitals;
    }

    public void setVitals(List<Vitals> vitals) {
        this.vitals = vitals;
    }

    public List<Encounter> getEncounters() {
        return encounters;
    }

    public void setEncounters(List<Encounter> encounters) {
        this.encounters = encounters;
    }

    public List<InsuranceBean> getPayers() {
        return payers;
    }

    public void setPayers(List<InsuranceBean> payers) {
        this.payers = payers;
    }

    public List<NarrativeV4> getNarratives() {
        return narratives;
    }

    public void setNarratives(List<NarrativeV4> narratives) {
        this.narratives = narratives;
    }

    public List<DocumentInfoV4> getDocumentInfo() {
        return documentInfo;
    }

    public void setDocumentInfo(List<DocumentInfoV4> documentInfo) {
        this.documentInfo = documentInfo;
    }

    public List<PatientDemographics> getDemographics() {
        return demographics;
    }

    public void setDemographics(List<PatientDemographics> demographics) {
        this.demographics = demographics;
    }
}
