/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.jmeadows.dataservicehandler;

import gov.va.med.jmeadows.common.AppConfig;

import javax.xml.namespace.QName;

/**
 *
 * @author DNS   brunos
 */
public abstract class DataServiceHandler {

    protected static final AppConfig APP_CONFIG = AppConfig.getInstance();
    
    protected String serviceURL;
    protected String serviceName;
    protected String serviceNamespace;
    protected QName qServiceName;
    protected String serviceUsername;
    protected String servicePassword;
    protected int serviceRequestTimeoutMS;
    protected int serviceConnectionTimeoutMS;

    public DataServiceHandler() {
        serviceConnectionTimeoutMS = APP_CONFIG.getConnectionTimeoutMS();
        serviceRequestTimeoutMS = APP_CONFIG.getRequestTimeoutMS();
    }

    public String getServiceURL() {
        return serviceURL;
    }

    public void setServiceURL(String serviceURL) {
        this.serviceURL = serviceURL;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getServiceNamespace() {
        return serviceNamespace;
    }

    public void setServiceNamespace(String serviceNamespace) {
        this.serviceNamespace = serviceNamespace;
    }

    public QName getqServiceName() {
        return qServiceName;
    }

    public void setqServiceName(QName qServiceName) {
        this.qServiceName = qServiceName;
    }

    public String getServiceUsername() {
        return serviceUsername;
    }

    public void setServiceUsername(String serviceUsername) {
        this.serviceUsername = serviceUsername;
    }

    public String getServicePassword() {
        return servicePassword;
    }

    public void setServicePassword(String servicePassword) {
        this.servicePassword = servicePassword;
    }

    public int getServiceRequestTimeoutMS() {
        return serviceRequestTimeoutMS;
    }

    public void setServiceRequestTimeoutMS(int serviceRequestTimeoutMS) {
        this.serviceRequestTimeoutMS = serviceRequestTimeoutMS;
    }

    public int getServiceConnectionTimeoutMS() {
        return serviceConnectionTimeoutMS;
    }

    public void setServiceConnectionTimeoutMS(int serviceConnectionTimeoutMS) {
        this.serviceConnectionTimeoutMS = serviceConnectionTimeoutMS;
    }
}
