/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.jmeadows.dao;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;


/**
 * User: DNS   UYEHAC
 * Date: 8/2/11
 * Time: 3:36 PM
 */
public class TestConfig
{
    private static final Logger logger = LoggerFactory.getLogger(TestConfig.class);

    public static final String PROVIDER_ACCESS_CODE = "PROVIDER_ACCESS_CODE";
    public static final String PROVIDER_VERIFY_CODE = "PROVIDER_VERIFY_CODE";
    public static final String PROVIDER_SITE_CODE = "PROVIDER_SITE_CODE";
    public static final String PATIENT_SSN = "PATIENT_SSN";
    public static final String PATIENT_NAME_FIRST = "PATIENT_NAME_FIRST";
    public static final String PATIENT_NAME_LAST = "PATIENT_NAME_LAST";

    private static Properties testConfigProp = new Properties();

    public static String get(String property)
    {
        if (testConfigProp.isEmpty())
        {
            init();
        }

        return (String) testConfigProp.get(property);
    }

    private static void init()
    {
        ClassLoader classLoader = TestConfig.class.getClassLoader();

        if (classLoader == null) throw new NullPointerException("ClassLoader is null!");

        InputStream inputStream = null;
        try {
            inputStream = classLoader.getResourceAsStream("testconfig.properties");
            testConfigProp.load(inputStream);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        finally {
            try
            {
                if (inputStream != null)
                {
                    inputStream.close();
                }
            }
            catch (IOException e)
            {
                logger.error(e.getMessage());
            }
        }
    }
}
