/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.jmeadows.dao.patient;

import gov.va.med.jmeadows.common.JMeadowsException;
import gov.va.med.jmeadows.dao.beans.JMeadowsQuery;
import gov.va.med.vds.webservice.PatientAdmission;
import org.junit.Test;

import java.util.List;

import static org.junit.Assert.assertTrue;
import static org.junit.Assert.fail;

/**
 *
 * @author DNS   brunos
 */
public class AdmissionDaoTest extends DaoBaseTest
{
    private AdmissionDao admDao;
    
    public AdmissionDaoTest() throws JMeadowsException
    {
        super();
        admDao = new AdmissionDao();
    }

    @Test
    public void testGetPatientAdmissions()
    {
        try {
            JMeadowsQuery qb = setupQuery(user, patient, startDate, endDate);
            List<PatientAdmission> adms = admDao.getPatientAdmissions(qb);
            assertTrue(adms.size() > 0);
            testForBeanMeta(adms);
        } catch (JMeadowsException ex) {
            fail(ex.getMessage());
        }
    }
}
