/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.jmeadows.dao.patient;

import gov.va.med.jmeadows.common.JMeadowsException;
import gov.va.med.jmeadows.dao.beans.JMeadowsQuery;
import gov.va.med.jmeadows.dao.beans.PatientHistory;
import org.junit.Test;

import java.util.List;

import static org.junit.Assert.assertTrue;
import static org.junit.Assert.fail;

/**
 *
 * @author mgoto
 */
public class HistoryDaoTest extends DaoBaseTest
{
    private HistoryDao historyDao;

    public HistoryDaoTest() throws JMeadowsException
    {
        super();
        historyDao = new HistoryDao();
    }

    @Test
    public void testGetPatientHistories()
    {
        try {
            JMeadowsQuery qb = setupQuery(user, patient, startDate, endDate);
            List<PatientHistory> histories = historyDao.getPatientHistory(qb);
            assertTrue(histories.size() > 0);
            testForBeanMeta(histories);
        } catch (JMeadowsException ex) {
            fail(ex.getMessage());
        }
    }


}
