/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.jmeadows.dao.patient;

import gov.va.med.jmeadows.common.JMeadowsException;
import gov.va.med.jmeadows.dao.beans.JMeadowsQuery;
import gov.va.med.vds.webservice.Consult;
import gov.va.med.vds.webservice.ProgressNote;
import org.junit.Test;

import java.util.List;

import static org.junit.Assert.assertTrue;
import static org.junit.Assert.fail;

/**
 *
 * @author DNS   brunos
 */
public class NotesDaoTest extends DaoBaseTest
{
    private NotesDao notesDao;

    public NotesDaoTest() throws JMeadowsException
    {
        notesDao = new NotesDao();
    }

    @Test
    public void testGetPatientProgressNotes()
    {
        try {
            JMeadowsQuery qb = setupQuery(user, patient, startDate, endDate);

            List<ProgressNote> notes = notesDao.getPatientProgressNotes(qb);
            assertTrue(notes.size() > 0);
            testForBeanMeta(notes);
        } catch (JMeadowsException ex) {
            fail(ex.getMessage());
        }
    }



    @Test
    public void testGetPatientDischargeSummaries()
    {
        try {
           JMeadowsQuery qb = setupQuery(user, patient, startDate, endDate);

            List<ProgressNote> notes = notesDao.getPatientDischargeSummaries(qb);
            assertTrue(notes.size() > 0);
            testForBeanMeta(notes);
        } catch (JMeadowsException ex) {
            fail(ex.getMessage());
        }
    }

    @Test
    public void testGetPatientConsults()
    {
        try {
            JMeadowsQuery qb = setupQuery(user, patient, startDate, endDate);

            List<Consult> consults = notesDao.getPatientConsultRequests(qb);
            assertTrue(consults.size() > 0);
            testForBeanMeta(consults);
        } catch (JMeadowsException ex) {
            fail(ex.getMessage());
        }
    }
}
