/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.jmeadows.dao.patient;

import gov.va.med.jmeadows.common.JMeadowsException;
import gov.va.med.jmeadows.dao.beans.JMeadowsQuery;
import gov.va.med.vds.webservice.Order;
import gov.va.med.DNS   .common.Utils;
import org.junit.Test;

import java.util.List;

import static org.junit.Assert.assertTrue;
import static org.junit.Assert.fail;

/**
 *
 * @author DNS   brunos
 */
public class OrdersDaoTest extends DaoBaseTest
{
    private OrdersDao ordersDao;
    
    public OrdersDaoTest() throws JMeadowsException
    {
        ordersDao = new OrdersDao();
    }

    @Test
    public void testGetPatientOrders()
    {
        try {
            JMeadowsQuery qb = setupQuery(user, patient, startDate, endDate);

            String start = Utils.getFormattedDate(startDate);
            String end = Utils.getFormattedDate(endDate);

            List<Order> orders = ordersDao.getPatientOrders(qb);
            assertTrue(orders.size() > 0);
            testForBeanMeta(orders);
        } catch (JMeadowsException ex) {
            fail(ex.getMessage());
        }
    }
    
}
