/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.jmeadows.dao.provider;

import gov.va.med.jmeadows.common.JMeadowsException;
import gov.va.med.jmeadows.dao.beans.JMeadowsQuery;
import gov.va.med.jmeadows.dao.patient.DaoBaseTest;
import gov.va.med.vds.webservice.ProgressNote;
import gov.va.med.DNS   .common.Utils;
import org.junit.Test;

import java.util.List;

import static org.junit.Assert.assertTrue;
import static org.junit.Assert.fail;

/**
 *
 * @author DNS   brunos
 */
public class ProviderNotesDaoTest extends DaoBaseTest
{
    private ProviderNotesDao notesDao;
    
    public ProviderNotesDaoTest() throws JMeadowsException
    {
        super();
        notesDao = new ProviderNotesDao();
    }

    @Test
    public void testGetProviderUnsignedNotes()
    {
        try 
        {
            startDate.set(2011, 2, 1);
            endDate.set(2011, 3, 1);

            JMeadowsQuery qb = setupQuery(user, patient, startDate, endDate);
            
            //mockProviderBasedQuery(qb.getUser(), "1620211", "258");
            List<ProgressNote> unsignedNotes = notesDao.getProviderUnsignedNotes(qb);
            assertTrue(unsignedNotes.size() > 0);
            logger.debug("# of Unsigned Notes: " + unsignedNotes.size());
            testForProviderBeanMeta(unsignedNotes);
            for(ProgressNote pn : unsignedNotes)
            {
                logger.debug("NoteId: " + pn.getNoteId());
                logger.debug("PatientId: " + pn.getPatientId());
                logger.debug("PatientName: " + pn.getPatientName());
                logger.debug("NoteDate: " + Utils.formatDisplayDate(pn.getNoteDate()));
                logger.debug("NoteType: " + pn.getNoteType());
                logger.debug("NoteTitle: " + pn.getNoteTitle());
                logger.debug("NoteStatus: " + pn.getStatus());
                if(ERROR_MSG_CONNECTION_UNAVAILABLE.equalsIgnoreCase(pn.getNoteType()))
                {
                    fail("Data fetch failed...");
                }
                logger.debug("---");
            }
        } 
        catch (JMeadowsException ex)
        {
            fail(ex.getMessage());
        }
    }
}
